<?php
/**********************
* CONTROL REQ. PLUGINS
***********************/
function manual_framework__install_required_plugins( $plugins ) {
	
	$theme_plugins = [
		[ 'name'     => 'WPBakery Page Builder', 
		  'slug'     => 'js_composer', 
		  'source'   => 'https://smartwpthemes.com/api/install/js_composer.zip', 
		  'required' => false,
		],
		[ 'name'     => 'bbPress', 
		  'slug'     => 'bbpress', 
		  'required' => false,                  
		],
		[ 'name'     => 'WooCommerce', 
		  'slug'     => 'woocommerce', 
		  'required' => false,                  
		],
		[ 'name'     => 'Elementor - Website Builder', 
		  'slug'     => 'elementor', 
		  'required' => false,                  
		],
		[ 'name'     => 'LearnPress', 
		  'slug'     => 'learnpress', 
		  'required' => false,                  
		],
	];
					
	if( isset($_GET['import']) ) {
		/*************************
			0 == MANUAL ORIGINAL
			IMPORT:: WPBAKERY + SHOP + BBPRESS
		**************************/
		if( $_GET['import'] === '0' ) { 
			$theme_plugins = [
								[ 'name'     => 'WooCommerce', 
								  'slug'     => 'woocommerce', 
								  'preselected' => true,                  
								],
								[ 'name'     => 'bbPress', 
								  'slug'     => 'bbpress', 
								  'preselected' => true,                  
								],
								[ 'name'     => 'WPBakery Page Builder', 
								  'slug'     => 'js_composer', 
								  'source'   => 'https://smartwpthemes.com/api/install/js_composer.zip',
								  'required' => true,
								],				
			];
			
		/*************************
			1 == MANUAL HOSTING
			5 == MANUAL MARKETING
			10 == MANUAL ACCOUNTANT
			11 == MANUAL CORPORATE
			12 == MANUAL SPRING
			13 == MANUAL BUSINESS
			15 == MANUAL ONLINE SERVICE
			16 == MANUAL CLASSIC CORPORATE
			18 == MANUAL UNIVERSITY
			19 == MANUAL DIGITAL AGENCY
			IMPORT:: ELEMENTOR 
		**************************/
		} else if( $_GET['import'] === '1' || $_GET['import'] === '5' || $_GET['import'] === '10' || $_GET['import'] === '11' || $_GET['import'] === '12' || $_GET['import'] === '13' || $_GET['import'] === '15' || $_GET['import'] === '16' || $_GET['import'] === '18' || $_GET['import'] === '19' ) { 	
			$theme_plugins = [
								[ 'name'     => 'Elementor - Website Builder', 
								  'slug'     => 'elementor', 
								  'required' => true,                  
								],
			];
		
		
		/*************************
			17 == MANUAL HANDYMAN
			IMPORT:: ELEMENTOR + CONTACT FORM 7 
		**************************/
		} else if( $_GET['import'] === '17' ) {
			$theme_plugins = [
								[ 'name'     => 'Elementor - Website Builder', 
								  'slug'     => 'elementor', 
								  'required' => true,                  
								],
								[ 'name'     => 'Contact Form 7', 
								  'slug'     => 'contact-form-7', 
								  'required' => true,                  
								],
			];
		
		
		/*************************
			2 == MANUAL JOB
			3 == MANUAL SPORTS
			IMPORT:: ELEMENTOR + WEDOCS 
		**************************/
		} else if( $_GET['import'] === '2' || $_GET['import'] === '3' ) { 	
			$theme_plugins = [
								[ 'name'     => 'Elementor - Website Builder', 
								  'slug'     => 'elementor', 
								  'required' => true,                  
								],
								[ 'name'     => 'weDocs', 
								  'slug'     => 'wedocs', 
								  'required' => true,                  
								],
			];
		/*************************
			4 == MANUAL COMPANY
			6 == MANUAL DIGITAL
			7 == MANUAL FASHION
			8 == MANUAL SOFTWARE
			IMPORT:: WPBAKERY 
		**************************/
		} else if( $_GET['import'] === '4' || $_GET['import'] === '6' || $_GET['import'] === '7' || $_GET['import'] === '8' ) {
			$theme_plugins = [
								[ 'name'     => 'WPBakery Page Builder', 
								  'slug'     => 'js_composer', 
								  'source'   => 'https://smartwpthemes.com/api/install/js_composer.zip', 
								  'required' => true,
								],
							];	
							
		/*************************
			9 == MANUAL FORUM
			IMPORT:: WPBAKERY + BBPRESS
		**************************/					
		} else if( $_GET['import'] === '9' ) {
			$theme_plugins = [
								[ 'name'     => 'bbPress', 
								  'slug'     => 'bbpress', 
								  'required' => true,                  
								],
								[ 'name'     => 'WPBakery Page Builder', 
								  'slug'     => 'js_composer', 
								  'source'   => 'https://smartwpthemes.com/api/install/js_composer.zip', 
								  'required' => true,
								],
							];
							
							
							
		/*************************
			14. MANUAL COURSE
			IMPORT:: WPBAKERY + BBPRESS
		**************************/	
		} else if( $_GET['import'] === '14' ) {
			$theme_plugins = [
								[ 'name'     => 'LearnPress', 
								  'slug'     => 'learnpress', 
								  'required' => true,                  
								],
								[ 'name'     => 'WooCommerce', 
								  'slug'     => 'woocommerce', 
								  'preselected' => true,                  
								],
								
								[ 'name'     => 'LearnPress - Course Wishlist', 
								  'slug'     => 'learnpress-wishlist', 
								  'required' => true,                  
								],
								[ 'name'     => 'Learnpress - Course Review', 
								  'slug'     => 'learnpress-course-review', 
								  'required' => true,                  
								],
								[ 'name'     => 'Paid Membership Pro', 
								  'slug'     => 'paid-memberships-pro', 
								  'preselected' => true,                  
								],
								[ 'name'     => 'WPBakery Page Builder', 
								  'slug'     => 'js_composer', 
								  'source'   => 'https://smartwpthemes.com/api/install/js_composer.zip',
								  'required' => true,
								],
							];
		}
			
		 
	  }
	return array_merge( $plugins, $theme_plugins );	
}
add_filter( 'ocdi/register_plugins', 'manual_framework__install_required_plugins' );
?>