<?php 
/*-------------------------------------------------*/
/*	MANUAL CUSTOMIZE :: CUSTOM STYLE - GENERAL
/*-------------------------------------------------*/
if (!function_exists('manual__cs_general_customize_settings')) {
	function manual__cs_general_customize_settings() {
		global $theme_options;
		
		// menu navigation style control
		manual__menu_navigation_control();
		// Layout
		manual__layout_theme_settings();
		// Color
		manual__colors_theme_settings();
		// WeDocs Plugin
		manual__wedocs_plugin();
		 			  
		//Learpress
		$learnpress_h5_weight = '';
		if( isset($theme_options['theme-h5-typography']['font-weight']) && 
			$theme_options['theme-h5-typography']['font-weight'] != ''  ) {
			$learnpress_h5_weight = esc_attr($theme_options['theme-h5-typography']['font-weight']);	
		} else {
			$learnpress_h5_weight = esc_attr($theme_options['theme-h5-typography']['font-style']);
		}
		echo '.learnpress_manual a, .manual-course-wrapper .course-box .course-info .course-title a, .lp-profile-header .author-social-networks a{ color:'.esc_attr($theme_options['manual-global-link-color']['regular']).'!important;  }.learnpress_manual a:hover, .manual-course-wrapper .course-box .course-info .course-title a:hover, .lp-profile-header .author-social-networks a:hover{ color:'.esc_attr($theme_options['manual-global-link-color']['hover']).'!important; }.lp-single-course .course-meta label, .lp-single-course .course-payment label { color: '.esc_attr($theme_options['theme-typography-body']['color']).'; } .course-curriculum ul.curriculum-sections .section-content .course-item{ font-size: '.esc_attr($theme_options['theme-typography-body']['font-size']). ($theme_options['theme-typography-body']['font-size'] == '14'?'px':'') .'; } ul.learn-press-courses .course .course-title { margin: 5px 0px 18px; font-size:'.esc_attr($theme_options['theme-h5-typography']['font-size']).( ($theme_options['theme-h5-typography']['font-size'] == '16')?'px':'' ).'; line-height: '.esc_attr($theme_options['theme-h5-typography']['line-height']).(($theme_options['theme-h5-typography']['line-height'] == '20')?'px':'' ).'; font-weight:'.esc_attr($learnpress_h5_weight).'; }#popup-course #popup-sidebar .course-curriculum .section .section-content .course-item .section-item-link .item-name{ font-size: '.esc_attr($theme_options['theme-typography-body']['font-size']). ($theme_options['theme-typography-body']['font-size'] == '15'?'px':'') .'!important; }.learn-press-tabs .learn-press-tabs__tab.active::before{ background:'.esc_attr($theme_options['website_colour']['regular']).'!important; }.learn-press-tabs .learn-press-tabs__tab.active a, .lp-profile-content .learn-press-filters > li span, .lp-profile-nav-tabs li.has-child.active > ul > li.active > a{ color:'.esc_attr($theme_options['website_colour']['regular']).'!important; } .learn-press-message.success { border-top: 5px solid '.esc_attr($theme_options['website_colour']['regular']).'; }';
		
		//POST TYPE- DOC SINGLE PAGE/CATEGORY 
		if( (isset($theme_options['doc-global-arcile-display-style']) && $theme_options['doc-global-arcile-display-style'] == 2) && 
			(isset($theme_options['documentation-pg-content-box-shadow']) && $theme_options['documentation-pg-content-box-shadow'] == true) ) {
			echo '.doc-single-post.doc-page { background: #fff!important; padding: 50px 50px!important; margin-bottom: 30px!important; } ';
			if(isset($theme_options['documentation-pg-content-box-height']) && $theme_options['documentation-pg-content-box-height'] != "" ) echo '.doc-single-post.doc-page{ min-height:'.$theme_options['documentation-pg-content-box-height'].'; }';
			if( $theme_options['doc-global-design2-content-box-margin-zero'] == true ) {
				echo '.doc-row-margin-fix{ margin-top:0px; margin-bottom:0px; } .doc-row-margin-fix aside#sidebar-box, .doc-row-margin-fix aside.doc-sidebar-box { padding-top:50px; } .doc-row-margin-fix .doc-single-post.doc-page { margin-bottom: 0px!important; } .doc-single-post.doc-page{ border-right: 1px solid #f1f1f1; border-left: 1px solid #f1f1f1; }';
			}
			echo '@media (max-width:767px) { .doc-single-post.doc-page { padding: 50px 0px!important; min-height: auto; } .doc-single-post.doc-page{ border:none!important; } .doc-single-post.doc-page { background: inherit!important; } .doc_pg_style_two_wrap{ background: none!important; }}';
		} else {
			if( (isset($theme_options['doc-global-arcile-display-style']) && $theme_options['doc-global-arcile-display-style'] == 1) && 
				( isset($theme_options['documentation-pg-title-icon']) && $theme_options['documentation-pg-title-icon'] == false ) ) { 
				echo '.page-title-header:before{ content: ""; } .page-title-header { padding: 0px 0px 5px 0px; }';
			}
		}
		
		// Global Theme Widget Design
		if( $theme_options['theme_widget_display_style_global'] == 2 ) {
			echo '.custom-well { padding:0px; background:transparent; } .sidebar-widget { padding:0px; }';	
			if( is_rtl() ) echo '.kb_article_type li.articles a:before { padding-right: 31px; }';
		}
		
		// Documentation tree menu display style 2 
		if( isset($theme_options['documentation-tree-menu-display-style']) && $theme_options['documentation-tree-menu-display-style'] == 2 ) {
			echo 'ul#list-manual > li > ul, .mCSB_container > li > ul { margin-left: 0 !important; display:block!important; } #list-manual li a.has-child i:before, #list-manual .doc-root-plus-icon, .mCSB_container li a.has-child i:before, .mCSB_container .doc-root-plus-icon{ display:none!important; } #list-manual li a.no-child, .mCSB_container li a.no-child { padding: 2px 5px 2px 0px; } ul#list-manual > li > a.has-child, .mCSB_container > li > a.has-child{ font-weight: bold;padding-left: 0 !important;margin-left: -2px;}#list-manual li.active > a, #list-manual li a:hover, .mCSB_container li.active > a, .mCSB_container li a:hover { background-color: transparent; border-radius:0px; } #list-manual li a, .mCSB_container li a { padding: 3px 5px 3px 24px; } #list-manual li a.doc-active, .doc-root-child-plus-icon, #list-manual li a i, .mCSB_container li a.doc-active, .mCSB_container li a i, #list-manual li a.has-inner-child.dataicon i:before, #list-manual li a.doc-active.has-inner-child i:before { color:'.esc_attr($theme_options['manual-global-link-color']['hover']).'; } #list-manual .mCSB_container li a.has-child{ padding-left: 3px!important; }.mobile-menu-holder.doc-mobile-menu li a.has-child i:before,.mobile-menu-holder.doc-mobile-menu .doc-root-plus-icon { display:none!important; }.mobile-menu-holder.doc-mobile-menu .navbar-nav > li > a.has-child span { padding-left: 4px; } .mobile-menu-holder.doc-mobile-menu li a.has-child { font-weight: bold!important; padding-left: 0 !important; margin-left: -2px!important; }.mobile-menu-holder.doc-mobile-menu li a.no-child { padding: 2px 5px 2px 0px!important; } #list-manual ul > li { margin-left:0px; }';
		}
		
		// Documentation responsive layout menu display control
		if ( isset($theme_options['documentation-responsive-tree-menu']) && $theme_options['documentation-responsive-tree-menu'] == true ) {
			echo '@media (max-width: 991px) { aside.doc-rtl-sidebar{ display:none; } }';
		}
		
		//FIX MsScroll while using Firefox
		if ( isset($theme_options['documentation-menu-scroller-status']) && $theme_options['documentation-menu-scroller-status'] == true ) {
			$scroll_define_height = '400';
			if( !empty ( $theme_options['documentation-scroll-after-menu-height-new'] ) ) {
				$scroll_define_height = $theme_options['documentation-scroll-after-menu-height-new'].'';
			}
			echo '#list-manual.mCustomScrollbar { height: calc('.$scroll_define_height*0.1522.'vh - 1px) !important; }';
		}
		
		// POPUP SEARCH //
		// If, search buttom is disable.
		if($theme_options['theme_search_box_search_bottom'] == true) {
			// If, drop-down post_type active
			if( $theme_options['manual-trending-post-type-search-status'] == true ) {
				echo '.icon-page-popup.page-search-popup select.search-expand-types { right: 1px; -webkit-border-top-right-radius: '.$theme_options['theme_search_box_radius'].'px; -webkit-border-bottom-right-radius: '.$theme_options['theme_search_box_radius'].'px; -moz-border-radius-topright: '.$theme_options['theme_search_box_radius'].'px; -moz-border-radius-bottomright: '.$theme_options['theme_search_box_radius'].'px; border-top-right-radius: '.$theme_options['theme_search_box_radius'].'px; border-bottom-right-radius: '.$theme_options['theme_search_box_radius'].'px; }';
				if( is_rtl() ) { echo '.icon-page-popup.page-search-popup select.search-expand-types {-webkit-border-top-right-radius: 0px!important;-webkit-border-bottom-right-radius: 0px!important;-moz-border-radius-topright: 0px!important;-moz-border-radius-bottomright: 0px!important;border-top-right-radius: 0px!important;border-bottom-right-radius: 0px!important; -webkit-border-top-left-radius: '.$theme_options['theme_search_box_radius'].'px;-webkit-border-bottom-left-radius: '.$theme_options['theme_search_box_radius'].'px;-moz-border-radius-topleft: '.$theme_options['theme_search_box_radius'].'px;-moz-border-radius-bottomleft: '.$theme_options['theme_search_box_radius'].'px;border-top-left-radius: '.$theme_options['theme_search_box_radius'].'px;border-bottom-left-radius: '.$theme_options['theme_search_box_radius'].'px;left: 0px;}';  }
			}
		}
		if( is_rtl() ) { echo '.icon-page-popup.page-search-popup .button-custom { right: inherit; left: 0px;  -webkit-border-top-left-radius: '.$theme_options['theme_search_box_radius'].'px;-webkit-border-bottom-left-radius: '.$theme_options['theme_search_box_radius'].'px!important;-moz-border-radius-topleft: '.$theme_options['theme_search_box_radius'].'px!important;-moz-border-radius-bottomleft: '.$theme_options['theme_search_box_radius'].'px!important;border-top-left-radius: '.$theme_options['theme_search_box_radius'].'px!important;border-bottom-left-radius: '.$theme_options['theme_search_box_radius'].'px!important;-webkit-border-top-right-radius: 0px!important;-webkit-border-bottom-right-radius: 0px!important;-moz-border-radius-topright: 0px!important;-moz-border-radius-bottomright: 0px!important;border-top-right-radius: 0px!important;border-bottom-right-radius: 0px!important;} .icon-page-popup.page-search-popup select.search-expand-types { right: inherit; }'; }
		
		//FAQ
		if( isset($theme_options['faq-tab-box-background-color']['rgba']) && $theme_options['faq-tab-box-background-color']['rgba'] != '' ) {
			echo '.body-content .collapsible-panels { background-color:'.$theme_options['faq-tab-box-background-color']['rgba'].'; }';
		}
		if( isset($theme_options['faq-tab-box-border-radius']) && $theme_options['faq-tab-box-border-radius'] != '' ) {
			echo '.body-content .collapsible-panels { border-radius: '.$theme_options['faq-tab-box-border-radius'].'; }';
		}
		
		//Knowledgebase
		if( (isset( $theme_options['kb-title-on-page-title-bar'] ) && $theme_options['kb-title-on-page-title-bar'] == true) && (isset( $theme_options['onoff-knowledgebase-single-page-title-bar'] ) && $theme_options['onoff-knowledgebase-single-page-title-bar'] == true) && (isset( $theme_options['kb-single-pg-title-text-status'] ) && $theme_options['kb-single-pg-title-text-status'] == false) ) {
			if( isset( $theme_options['kb-singlepg-display-style'] ) && $theme_options['kb-singlepg-display-style'] ==  1) {
				echo '.body-content .kb-single { padding: 0px 0px 0px 0px; } .body-content .kb-single:before {content: ""; }';
			} else {
				echo '.vckbpostauthors { margin-top: 0px; } .body-content .kb-single p { margin-top: 10px!important; }';
			}		 
		 }
		 
		 if( isset($theme_options['kb-next-previous-post-bg-color']['rgba']) && $theme_options['kb-next-previous-post-bg-color']['rgba'] != '' ) {
			echo '.portfolio-next-prv-bar { background-color:'.esc_attr($theme_options['kb-next-previous-post-bg-color']['rgba']).'; }';
		 }
		
	}
}


/*----------------------------*/
/*	MANUAL CUSTOMIZE :: LOGO
/*----------------------------*/
if (!function_exists('manual__gouparrow_settings')) {
	function manual__gouparrow_settings() {
		global $theme_options;
		echo '.footer-go-uplink { color:'.(!empty($theme_options['manual-go-up-icon-color']['rgba'])?$theme_options['manual-go-up-icon-color']['rgba']:'').'; font-size:'.$theme_options['go_up_arrow_font_size'].'px!important; }
';
	}
}

/*--------------------------------------------*/
/*	MANUAL CUSTOMIZE :: CUSTOM STYLE - FOOTER
/*--------------------------------------------*/
if (!function_exists('manual__cs_footer_customize_settings')) {
	function manual__cs_footer_customize_settings() {
		global $theme_options;
		
		echo '.footer-widget a {
color: '.$theme_options['theme_footer_widget_text_link_color']['regular'].'!important; } .footer-widget a:hover { color:'.$theme_options['theme_footer_widget_text_link_color']['hover'].'!important; }'; 

		echo '.footer-btm-box p, .footer-bg.footer-type-one .copyright, .footer-tertiary p { color: '.$theme_options['theme_footer_social_text_color'].'; } .footer-link-box a,.footer-btm-box a, .footer-bg.footer-type-one .footer-btm-box-one a{ color: '.$theme_options['theme_footer_social_link_color']['regular'].'!important;  } .footer-link-box a:hover, .footer-btm-box a:hover, .footer-bg.footer-type-one .footer-btm-box-one a:hover { color: '.$theme_options['theme_footer_social_link_color']['hover'].'!important; } .footer-btm-box .social-footer-icon, .footer-bg.footer-type-one .social-footer-icon { color: '.$theme_options['theme_footer_social_icon_link_color']['regular'].'; } .footer-btm-box .social-footer-icon:hover, .footer-bg.footer-type-one .social-footer-icon:hover { color:'.$theme_options['theme_footer_social_icon_link_color']['hover'].'; }';
		
	}
}

/*--------------------------------------------*/
/*	MANUAL EXTRA DESIGN - ICON BOUNCED IN
/*--------------------------------------------*/
if (!function_exists('manual__cs_icon_bouncedin_settings')) {
	function manual__cs_icon_bouncedin_settings() {
		global $theme_options;
		
		if( $theme_options['manual-live-search-icon-bouncein'] == true ) {
			echo 'form.searchform i.livesearch{ animation: bounceIn 750ms linear infinite alternate; -moz-animation: bounceIn 750ms linear infinite alternate;   -webkit-animation: bounceIn 750ms linear infinite alternate; -o-animation: bounceIn 750ms linear infinite alternate; } @-webkit-keyframes bounceIn{0%,20%,40%,60%,80%,100%{-webkit-transition-timing-function:cubic-bezier(0.215,0.610,0.355,1.000);transition-timing-function:cubic-bezier(0.215,0.610,0.355,1.000);}0%{opacity:0;-webkit-transform:scale3d(.3,.3,.3);transform:scale3d(.3,.3,.3);}20%{-webkit-transform:scale3d(1.1,1.1,1.1);transform:scale3d(1.1,1.1,1.1);}40%{-webkit-transform:scale3d(.9,.9,.9);transform:scale3d(.9,.9,.9);}60%{opacity:1;-webkit-transform:scale3d(1.03,1.03,1.03);transform:scale3d(1.03,1.03,1.03);}80%{-webkit-transform:scale3d(.97,.97,.97);transform:scale3d(.97,.97,.97);}100%{opacity:1;-webkit-transform:scale3d(1,1,1);transform:scale3d(1,1,1);}}
	keyframes bounceIn{0%,20%,40%,60%,80%,100%{-webkit-transition-timing-function:cubic-bezier(0.215,0.610,0.355,1.000);transition-timing-function:cubic-bezier(0.215,0.610,0.355,1.000);}0%{opacity:0;-webkit-transform:scale3d(.3,.3,.3);-ms-transform:scale3d(.3,.3,.3);transform:scale3d(.3,.3,.3);}20%{-webkit-transform:scale3d(1.1,1.1,1.1);-ms-transform:scale3d(1.1,1.1,1.1);transform:scale3d(1.1,1.1,1.1);}40%{-webkit-transform:scale3d(.9,.9,.9);-ms-transform:scale3d(.9,.9,.9);transform:scale3d(.9,.9,.9);}60%{opacity:1;-webkit-transform:scale3d(1.03,1.03,1.03);-ms-transform:scale3d(1.03,1.03,1.03);transform:scale3d(1.03,1.03,1.03);}80%{-webkit-transform:scale3d(.97,.97,.97);-ms-transform:scale3d(.97,.97,.97);transform:scale3d(.97,.97,.97);}100%{opacity:1;-webkit-transform:scale3d(1,1,1);-ms-transform:scale3d(1,1,1);transform:scale3d(1,1,1);}}
	.bounceIn{-webkit-animation-name:bounceIn;animation-name:bounceIn;-webkit-animation-duration:.75s;animation-duration:.75s;}';
		}
		
	}
}

/*-------------------------------*/
/*	INITIAL MANUAL THEME SETUP
/*-------------------------------*/
if (!function_exists('manual__themeinitial_setup')) {
	function manual__themeinitial_setup() {
		$post_type = get_post_type();
		echo 'body { color: #333333; font-family: PT Sans; font-size: 15px; line-height: 1.6; letter-spacing: 0.3px; font-weight: 400; } h1, h2, h3, h4, h5, h6 {font-family: Dosis; color: #222222; text-rendering: optimizeLegibility; -webkit-font-smoothing: antialiased; text-transform:none; } h1 { font-weight: 800; font-size: 40px; line-height: 45px; letter-spacing: -0.7px; } h2 { font-weight: 700; font-size: 34px; line-height: 40px; letter-spacing: -0.4px; } h3 { font-weight: 700; font-size: 30px; line-height: 34px; letter-spacing: 0px; } h4 { font-weight: 700; font-size: 24px; line-height: 30px; letter-spacing: 0px; } .sidebar-widget h2, h5 { font-weight: 700; font-size: 19px; line-height: 23px; letter-spacing: 0px; } h6 { font-weight: 700; font-size: 16px; line-height: 20px; letter-spacing: 0px; } .navbar-inverse .navbar-nav>li>a { font-family: Raleway!important; text-transform: uppercase; font-weight: 600; font-size: 13px; letter-spacing: 0.9px; color: #181818!important; } img.home-logo-show { display: block!important; } h1.inner-header { text-align: center; } .page_opacity.header_custom_height_new { padding: 90px 0px!important; }.header_control_text_align { text-align: center!important; }#breadcrumbs {color: #919191; text-transform: capitalize; letter-spacing: 0px; font-size: 14px; font-weight: 400; padding-top: 0px; } a, .body-content .blog .caption h2 a { color: #333333; } a:hover, .body-content .knowledgebase-cat-body h4 a:hover, .body-content .knowledgebase-body h6:hover:before, .body-content .knowledgebase-body h5:hover:before, .body-content .knowledgebase-body h4:hover:before, .body-content .knowledgebase-body h3:hover:before, .body-content .knowledgebase-body h6 a:hover, .body-content .knowledgebase-body h5 a:hover, .body-content .knowledgebase-body h4 a:hover, .body-content .knowledgebase-body h3 a:hover, #bbpress-forums .bbp-reply-author .bbp-author-name:hover, #bbpress-forums .bbp-topic-freshness > a:hover, #bbpress-forums li.bbp-body ul.topic li.bbp-topic-title a:hover, #bbpress-forums .last-posted-topic-title a:hover, #bbpress-forums .bbp-forum-link:hover, #bbpress-forums .bbp-forum-header .bbp-forum-title:hover, .body-content .blog .caption h2 a:hover, .body-content .blog .caption span:hover, .body-content .blog .caption p a:hover, .sidebar-nav ul li a:hover, .tagcloud a:hover, a.href:hover, .body-content .collapsible-panels p.post-edit-link a:hover, .tagcloud.singlepg a:hover, .body-content li.cat a:hover, h4.title-faq-cat a:hover, .portfolio-next-prv-bar .portfolio-prev a:hover, .portfolio-next-prv-bar .portfolio-next a:hover, .search h4 a:hover, .portfolio-filter ul li span:hover, ul.news-list.doc-landing li a:hover, .news-list li:hover:before, .body-content li.cat.inner:hover:before, .kb-box-single:hover:before, .kb_article_type li.articles:hover:before, .kb-box-single a:hover, .portfolio-desc a:hover, .woocommerce ul.products li.product a:hover, .kb_tree_viewmenu h6 a:hover, .kb_tree_viewmenu h6 a:hover:before, .kb_tree_viewmenu h5 a:hover, .kb_tree_viewmenu h5 a:hover:before, .kb_tree_viewmenu ul li a:hover, #bbpress-forums li.bbp-body ul.topic li.bbp-topic-title:hover:before, #bbpress-forums .bbp-admin-links a:hover, .widget_display_topics li:hover:before, .woocommerce div.product div.product_meta>span span:hover, .woocommerce div.product div.product_meta>span a:hover, .body-content li.cat.inner a:hover:before, .vc_kb_article_type li.articles a:hover:before, .footer-go-uplink:hover, a.post-edit-link:hover, .body-content .collapsible-panels h4:hover:before, .body-content .collapsible-panels h5:hover:before, td.product-name a:hover, ul.vc_kbcat_widget li:hover:before, .sidebar-widget .display-faq-section li.cat-item a:hover:before, .body-content .display-faq-section ul li.cat-item.current-cat a:before { color: #46b289; } .body-content .blog .caption p a i, .body-content .blog .caption p i, .page-title-header p, p.entry-meta i { color: #46b289; } .pagination .page-numbers.current, .pagination .page-numbers:hover, .pagination a.page-numbers:hover, .pagination .next.page-numbers:hover, .pagination .prev.page-numbers:hover { background-color: #47C494; border-color: #47C494; } .pagination .page-numbers.current, .pagination .page-numbers:hover, .pagination a.page-numbers:hover, .pagination .next.page-numbers:hover, .pagination .prev.page-numbers:hover { color: #ffffff; } .browse-help-desk .browse-help-desk-div .i-fa:hover, ul.news-list li.cat-lists:hover:before, .body-content li.cat.inner:hover:before, .kb-box-single:hover:before, #list-manual li a.has-child.dataicon:before, #list-manual li a.has-inner-child.dataicon:before, .manual_related_articles h5:before, .manual_attached_section h5:before, .tagcloud.singlepgtag span i, form.searchform i.livesearch, span.required, .woocommerce .star-rating, .woocommerce-page .star-rating, .kb_tree_viewmenu ul li.root_cat a.kb-tree-recdisplay:before, .kb_tree_viewmenu ul li.root_cat_child a.kb-tree-recdisplay:before, #bbpress-forums .bbp-forum-title-container a:before, .body-content .collapsible-panels h4:before, .body-content .collapsible-panels h5:before, .portfolio-next-prv-bar .hvr-icon-back, .portfolio-next-prv-bar .hvr-icon-forward, .body-content .blog:before { color: #47C494; } .custom-well { padding: 30px 19px 19px 19px; } .navbar-inverse .navbar-nav>li>a:hover { color: #46b289!important; } .navbar-inverse .navbar-toggle, .container .blog-btn, input[type=submit] { border-color: #46b289!important; } .navbar-inverse .navbar-toggle { background-color: #46b289!important; } .navbar-inverse .navbar-toggle:hover { background-color: #001040!important; } .body-content .search:before { margin-top: -8px; font-size: 25px; } .body-content .search { padding: 20px 5px 1px 45px; } .button-custom, p.home-message-darkblue-bar, p.portfolio-des-n-link, .portfolio-section .portfolio-button-top, .body-content .wpcf7 input[type="submit"], .container .blog-btn, .sidebar-widget.widget_search input[type="submit"], .navbar-inverse .navbar-toggle, .custom_login_form input[type="submit"], .custom-botton, button#bbp_user_edit_submit, button#bbp_topic_submit, button#bbp_reply_submit, button#bbp_merge_topic_submit, .bbp_widget_login button#user-submit, input[type=submit], .vc_btn3.vc_btn3-color-juicy-pink, .vc_btn3.vc_btn3-color-juicy-pink.vc_btn3-style-flat, #bbpress-forums .bbp-topic-controls #favorite-toggle, #bbpress-forums .bbp-topic-controls #subscription-toggle, .bbp-logged-in a.button, .woocommerce a.button, form.woocommerce-product-search button, .woocommerce button.button.alt, .woocommerce #respond input#submit, .woocommerce button.button, .woocommerce input.button, .wp-block-button__link { background: #46b289!important; color: #ffffff!important; -webkit-transition: background-color 2s ease-out; -moz-transition: background-color 2s ease-out; -o-transition: background-color 2s ease-out; transition: background-color 2s ease-out; } .button-custom:hover, p.home-message-darkblue-bar:hover, .body-content .wpcf7 input[type="submit"]:hover, .container .blog-btn:hover, .sidebar-widget.widget_search input[type="submit"]:hover, .navbar-inverse .navbar-toggle:hover, .custom_login_form input[type="submit"]:hover, .custom-botton:hover, button#bbp_user_edit_submit:hover, button#bbp_topic_submit:hover, button#bbp_reply_submit:hover, button#bbp_merge_topic_submit:hover, .bbp_widget_login button#user-submit:hover, input[type=submit]:hover, .vc_btn3.vc_btn3-color-juicy-pink.vc_btn3-style-flat:focus, .vc_btn3.vc_btn3-color-juicy-pink.vc_btn3-style-flat:hover, .vc_btn3.vc_btn3-color-juicy-pink:focus, .vc_btn3.vc_btn3-color-juicy-pink:hover, #bbpress-forums .bbp-topic-controls #favorite-toggle:hover, #bbpress-forums .bbp-topic-controls #subscription-toggle:hover, .bbp-logged-in a.button:hover, .woocommerce a.button:hover, form.woocommerce-product-search button:hover, .woocommerce button.button.alt:hover, .woocommerce #respond input#submit:hover, .woocommerce button.button:hover, .woocommerce input.button:hover, .wp-block-button__link:hover, p.portfolio-des-n-link:hover { background-color: #001040!important; }.noise-break{ background: #F7F7F7; }';
		if( is_404() || (is_single() && $post_type == 'post' ) || $post_type == 'post' ) { echo '.jumbotron_new.jumbotron-inner-fix { display: none; } .navbar { position: inherit; box-shadow: 0 2px 9px -1px rgba(0,0,0,.04); -moz-box-shadow: 0 2px 9px -1px rgba(0,0,0,.04); -webkit-box-shadow: 0 2px 9px -1px rgba(0,0,0,.04); }'; }
		if( is_404() ) { echo 'form.searchform i.livesearch { top: 36px; }'; }
	}
}
?>