<?php 
require trailingslashit( get_template_directory() ) . 'framework/customize/lib/page-title-bar/post.php';
require trailingslashit( get_template_directory() ) . 'framework/customize/lib/page-title-bar/fourzerofour.php';
require trailingslashit( get_template_directory() ) . 'framework/customize/lib/page-title-bar/search.php';
require trailingslashit( get_template_directory() ) . 'framework/customize/lib/page-title-bar/faq.php';
require trailingslashit( get_template_directory() ) . 'framework/customize/lib/page-title-bar/documentation.php';
require trailingslashit( get_template_directory() ) . 'framework/customize/lib/page-title-bar/knowledgebase.php';
require trailingslashit( get_template_directory() ) . 'framework/customize/lib/page-title-bar/knowledgebase-cat.php';
require trailingslashit( get_template_directory() ) . 'framework/customize/lib/page-title-bar/bbpress.php';
require trailingslashit( get_template_directory() ) . 'framework/customize/lib/page-title-bar/wedocs.php';
require trailingslashit( get_template_directory() ) . 'framework/customize/lib/page-title-bar/learnpress.php';
require trailingslashit( get_template_directory() ) . 'framework/customize/lib/page-title-bar/meta.php';
require trailingslashit( get_template_directory() ) . 'framework/customize/lib/page-title-bar/woo-cat-tag.php';
require trailingslashit( get_template_directory() ) . 'framework/customize/lib/page-title-bar/woo-single.php';

/******************************************
	[[THEME OPTION]] ::  PAGE TITLE BAR 
*******************************************/
if (!function_exists('manual__post_type_header_control')) {
	function manual__post_type_header_control(){
		global $post, $theme_options;
		
		/***********Post Type****************/
		$current_post_type = get_post_type();
		$check_cat_img_exist = '';
		
		/*********************************************** 
		******* DIFFERENT PAGE CONTROLS      ***********
		************************************************/
		if( $current_post_type == 'post' && is_single() ) {
			manual__pagetitlebar_type_post();
			
		} else if( is_404() ) {
			manual__pagetitlebar_type_fourzerofour();
			
		} else if( is_search() ) {
			manual__pagetitlebar_type_search();
			
		} else if( $current_post_type == 'manual_portfolio' ) {  
			manual__pagetitlebar_meta_fields($post->ID);
			
		} else if($current_post_type == 'manual_faq') {
			manual__pagetitlebar_type_faq();

		} else if($current_post_type == 'manual_documentation') {
			manual__pagetitlebar_type_documentation();
			
		} else if($current_post_type == 'manual_kb') {
			if( is_single() ) { 
				manual__pagetitlebar_type_knowledgebase();
			} else {
				manual__pagetitlebar_type_knowledgebase_cat();
			}

		} else if ( class_exists('bbPress') && is_bbPress() && !is_front_page() ) { 
			manual__pagetitlebar_type_bbpress();
			
	    } else if($current_post_type == 'docs' && is_single() ) {
			manual__pagetitlebar_type_wedocs();
	   
	    } else if(class_exists( 'LearnPress' ) && ($current_post_type == 'lp_course') && is_single() ) {
			manual__pagetitlebar_type_learnpress();
			
		} else if( class_exists( 'LearnPress' ) && manual__check_is_course() && is_archive()) {
			$learnpress_course_id = get_option('learn_press_courses_page_id');
			if( isset($learnpress_course_id) && $learnpress_course_id != '' ) { 
				manual__pagetitlebar_meta_fields($learnpress_course_id);
			} else { 
				if( isset($theme_options['theme-nav-type']) && $theme_options['theme-nav-type'] == 2 ) {
					echo '@media(min-width: 991px){ .navbar { position: inherit; } .jumbotron_new .inner-margin-top { padding-top: 0px; } }';
				}	
			}
			
	    } else if(function_exists("is_woocommerce") && (is_shop() || is_checkout() || is_account_page())){
			if(is_shop()){
				$page_id = get_option('woocommerce_shop_page_id');
				manual_woo_shop_column_css_handler();		
			} elseif(is_checkout()) {
				$page_id = get_option('woocommerce_pay_page_id'); 
			} elseif(is_account_page()) {
				$page_id = get_option('woocommerce_myaccount_page_id'); 
			} elseif(is_account_page()) {
				$page_id = get_option('woocommerce_edit_address_page_id'); 
			} elseif(is_account_page()) {
				$page_id = get_option('woocommerce_view_order_page_id'); 
			}
			$woopage  = get_post( $page_id );
			if( isset($woopage->ID) && $woopage->ID != '' ) {
				manual__pagetitlebar_meta_fields($woopage->ID);
			}
			
		} else if(function_exists("is_woocommerce") && (is_product() || is_product_category() || is_product_tag() ) ){ 
			if( is_product_category() || is_product_tag() ) {
				manual__pagetitlebar_type_woocommerce_cat_tag();
			} else {
				manual__pagetitlebar_type_woocommerce_single();
			}
			
		} else if( is_home() && $current_post_type == 'post' ) {
			$postID = get_option('page_for_posts');
			if( $postID != '' && $postID != 0 ) {
				manual__pagetitlebar_meta_fields($postID);
			}
			
		} else if( $current_post_type == 'page' ) {
			manual__pagetitlebar_meta_fields($post->ID);
			
		} else if( $current_post_type == 'post' && $theme_options['blog_single_page_global_header_settings'] == true && !is_single() ) {
			$postID = get_option('page_for_posts');
			manual__pagetitlebar_meta_fields($postID);
			
		} 
		
	} //-Eof function.
}
?>