<?php

/*-----------------------------------------------------------------*/
/*	MANUAL CUSTOMIZE :: CUSTOM STYLE - HEADER MENU TYPE CONTROL
/*-----------------------------------------------------------------*/
if (!function_exists('manual__cs_headermenu_type_control_customize_settings')) {
	function manual__cs_headermenu_type_control_customize_settings() {
		global $theme_options;
		echo 'img.inner-page-white-logo { display: none; } img.home-logo-show { display: block; } nav.navbar.after-scroll-wrap img.inner-page-white-logo{ display: none; } nav.navbar.after-scroll-wrap img.home-logo-show { display: block; } .navbar { z-index: 99; border: none; }';
	}
}

/*-----------------------------------------------------------------*/
/*	MANUAL CUSTOMIZE :: CUSTOM STYLE - HEADER MENU TYPE CONTROL
/*-----------------------------------------------------------------*/
if (!function_exists('manual__cs_headerbar_customize_settings')) {
	function manual__cs_headerbar_customize_settings() {
		global $theme_options;
		
		
		// 1. Title bar style
		echo ' .header_control_text_align { text-align:'.esc_attr($theme_options['default-header-text-align']).'; } ';
		
		// 2. Standard/Responisve Padding
		if(preg_match("/ /", $theme_options['default-header-sytle-height'])) {
			echo '.page_opacity.header_custom_height_new{ padding: '.esc_attr($theme_options['default-header-sytle-height']).'; }';
		} else {
			echo '.page_opacity.header_custom_height_new{ padding: '.esc_attr($theme_options['default-header-sytle-height']).'px 0px; }';
		}
		echo '@media (max-width:991px) { .page_opacity.header_custom_height_new { padding: '.esc_attr($theme_options['default-header-sytle-responsive-height']).'; } } ';
		
		// 3. Page title bar border radius
		if( isset($theme_options['default-header-border-radius']) && $theme_options['default-header-border-radius'] != '' ) {
			echo '.noise-break, .page_opacity.header_custom_height_new, .parallax-mirror { border-radius:'.$theme_options['default-header-border-radius'].'; }';
		}
		
		// 4. Background
		if( isset($theme_options['theme_header_page_title_bar_background']['background-image']) && $theme_options['theme_header_page_title_bar_background']['background-image'] != '' ) {
		$bg_color = '';
		if(  isset($theme_options['theme_header_page_title_bar_background']['background-color']) &&  ($theme_options['theme_header_page_title_bar_background']['background-color'] != '')  ) {
			$bg_color = esc_attr($theme_options['theme_header_page_title_bar_background']['background-color']);
		}	
		echo '.noise-break { background: '.$bg_color.' url('.esc_attr($theme_options['theme_header_page_title_bar_background']['background-image']).');
			'.((isset($theme_options['theme_header_page_title_bar_background']['background-position']) && $theme_options['theme_header_page_title_bar_background']['background-position'] !='')?'background-position:'.esc_attr($theme_options['theme_header_page_title_bar_background']['background-position']).';':'').' 
			'.((isset($theme_options['theme_header_page_title_bar_background']['background-size']) && $theme_options['theme_header_page_title_bar_background']['background-size'] !='')?'background-size:'.esc_attr($theme_options['theme_header_page_title_bar_background']['background-size']).';':'').' 
			'.((isset($theme_options['theme_header_page_title_bar_background']['background-repeat']) && $theme_options['theme_header_page_title_bar_background']['background-repeat'] !='')?'background-repeat:'.esc_attr($theme_options['theme_header_page_title_bar_background']['background-repeat']).';':'').' 
			'.((isset($theme_options['theme_header_page_title_bar_background']['background-attachment']) && $theme_options['theme_header_page_title_bar_background']['background-attachment'] !='')?'background-attachment:'.esc_attr($theme_options['theme_header_page_title_bar_background']['background-attachment']).';':'').' 
}';
	} else if( isset($theme_options['theme_header_page_title_bar_background']['background-color']) &&  ($theme_options['theme_header_page_title_bar_background']['background-color'] != '') ) {
			echo '.noise-break { background: '.esc_attr($theme_options['theme_header_page_title_bar_background']['background-color']).'; }';
	}
	
		// 5. Opacity
		if( (isset($theme_options['header-pagetitlebar-opacity-color']['rgba']) && $theme_options['header-pagetitlebar-opacity-color']['rgba'] != '') ) {  echo '.page_opacity.header_custom_height_new{ background:'.esc_attr($theme_options['header-pagetitlebar-opacity-color']['rgba']).'; }'; }
		
		// 6. H1 font size
		$page_title_font_size = $page_title_text_transform = $page_title_line_height = $page_title_letter_spacing = $page_title_word_spacing = $page_title_color = $page_title_weight = $page_title_h1_family = $page_title_h1_bkup_family = $page_title_h1_margin_top = $page_title_h1_margin_bottom = '';
		if( isset($theme_options['page_title_h1_typography']['font-size']) && $theme_options['page_title_h1_typography']['font-size'] != '' ) { 
			$page_title_font_size = 'font-size:'.esc_attr($theme_options['page_title_h1_typography']['font-size']).( ($theme_options['page_title_h1_typography']['font-size'] == '44')?'px':'' ).';'; 
		}
		if( isset($theme_options['page_title_h1_typography']['text-transform']) && $theme_options['page_title_h1_typography']['text-transform'] != '' ) { 
			$page_title_text_transform = 'text-transform:'.esc_attr($theme_options['page_title_h1_typography']['text-transform']).';'; 
		}
		if( isset($theme_options['page_title_h1_typography']['line-height']) && $theme_options['page_title_h1_typography']['line-height'] != '' ) { 
			$page_title_line_height = 'line-height:'.esc_attr($theme_options['page_title_h1_typography']['line-height']).( ($theme_options['page_title_h1_typography']['line-height'] == '60')?'px':'' ).';'; 
		}
		if( isset($theme_options['page_title_h1_typography']['letter-spacing']) && $theme_options['page_title_h1_typography']['letter-spacing'] != '' ) { 
			$page_title_letter_spacing = 'letter-spacing:'.esc_attr($theme_options['page_title_h1_typography']['letter-spacing']).( ($theme_options['page_title_h1_typography']['letter-spacing'] == '-1')?'px':'' ).';'; 
		}
		if( isset($theme_options['page_title_h1_typography']['word-spacing']) && $theme_options['page_title_h1_typography']['word-spacing'] != '' ) {
			$page_title_word_spacing = 'word-spacing:'.esc_attr($theme_options['page_title_h1_typography']['word-spacing']).';'; 
		}
		if( isset($theme_options['page_title_h1_typography']['color']) && $theme_options['page_title_h1_typography']['color'] != '' ) {
			$page_title_color = 'color:'.esc_attr($theme_options['page_title_h1_typography']['color']).';'; 
		}
		if( isset($theme_options['page_title_h1_typography']['font-weight']) && $theme_options['page_title_h1_typography']['font-weight'] != '' ) {
			$page_title_weight = 'font-weight:'.esc_attr($theme_options['page_title_h1_typography']['font-weight']).';'; 
		}
		if ( isset( $theme_options['page_title_h1_typography']['font-family'] ) && ( $theme_options['page_title_h1_typography']['font-family'] != '' ) ) { 
			$page_title_h1_family = esc_attr($theme_options['page_title_h1_typography']['font-family']);   
		}
		if ( isset( $theme_options['page_title_h1_typography']['font-backup'] ) && ( $theme_options['page_title_h1_typography']['font-backup'] != '' ) ) { 
			$page_title_h1_bkup_family = ','.$theme_options['page_title_h1_typography']['font-backup'];   
		}
		if ( isset( $theme_options['page_title_h1_typography']['margin-top'] ) && ( $theme_options['page_title_h1_typography']['margin-top'] != '' ) ) { 
			$page_title_h1_margin_top = 'margin-top:'.$theme_options['page_title_h1_typography']['margin-top'].';';   
		}
		if ( isset( $theme_options['page_title_h1_typography']['margin-bottom'] ) && ( $theme_options['page_title_h1_typography']['margin-bottom'] != '' ) ) { 
			$page_title_h1_margin_bottom = 'margin-bottom:'.$theme_options['page_title_h1_typography']['margin-bottom'].';';   
		}
		
		echo 'h1.custom_h1_head { font-family: '.$page_title_h1_family.''.$page_title_h1_bkup_family.'; '.$page_title_font_size.' '.$page_title_text_transform.' '.$page_title_line_height.' '.$page_title_letter_spacing.' '.$page_title_word_spacing.' '.$page_title_color.' '.$page_title_weight.' '.$page_title_h1_margin_top.' '.$page_title_h1_margin_bottom.' word-wrap: break-word; overflow-wrap: break-word; }';

		// RESPONSIVE - H1 font adjustment
		$responsive_page_title_font_size = $responsive_page_title_line_height = $responsive_page_title_letter_spacing = $responsive_page_title_word_spacing = '';
		if( isset($theme_options['page_title_responsive_h1_typography']['font-size']) && $theme_options['page_title_responsive_h1_typography']['font-size'] != '' ) { 
		$responsive_page_title_font_size = 'font-size:'.esc_attr($theme_options['page_title_responsive_h1_typography']['font-size']).( ($theme_options['page_title_responsive_h1_typography']['font-size'] == '28')?'px':'' ).'!important;'; 
		}
		if( isset($theme_options['page_title_responsive_h1_typography']['line-height']) && $theme_options['page_title_responsive_h1_typography']['line-height'] != '' ) { 
			$responsive_page_title_line_height = 'line-height:'.esc_attr($theme_options['page_title_responsive_h1_typography']['line-height']).( ($theme_options['page_title_responsive_h1_typography']['line-height'] == '28')?'px':'' ).'!important;'; 
		}
		if( isset($theme_options['page_title_responsive_h1_typography']['letter-spacing']) && $theme_options['page_title_responsive_h1_typography']['letter-spacing'] != '' ) { 
			$responsive_page_title_letter_spacing = 'letter-spacing:'.esc_attr($theme_options['page_title_responsive_h1_typography']['letter-spacing']).( ($theme_options['page_title_responsive_h1_typography']['letter-spacing'] == '-1')?'px':'' ).'!important;'; 
		}
		if( isset($theme_options['page_title_responsive_h1_typography']['word-spacing']) && $theme_options['page_title_responsive_h1_typography']['word-spacing'] != '' ) {
			$responsive_page_title_word_spacing = 'word-spacing:'.esc_attr($theme_options['page_title_responsive_h1_typography']['word-spacing']).';'; 
		}
		echo '@media (max-width: 767px) { h1.custom_h1_head { '.$responsive_page_title_font_size.' '.$responsive_page_title_line_height.' '.$responsive_page_title_letter_spacing.' '.$responsive_page_title_word_spacing.' } }';

		// 7. Breadcrumbs
		echo '#breadcrumbs a{ color:'.esc_attr($theme_options['default-top-header-breadcrumb-link-color']['regular']).'; } #breadcrumbs a:hover{ color:'.esc_attr($theme_options['default-top-header-breadcrumb-link-color']['hover']).'; }  '.(isset($theme_options['default-top-header-breadcrumb-link-seprator-color']['rgba'])?'#breadcrumbs span { color:'.esc_attr($theme_options['default-top-header-breadcrumb-link-seprator-color']['rgba']).'; }':'').' ';
		 
		// Trending search
		echo '.trending-search span.popular-keyword-title { color:'.esc_attr($theme_options['theme_header_treanding_search_color']).'; } .trending-search a.trending-search-popular-keyword { color:'.esc_attr($theme_options['theme_header_treanding_search_link_color']['regular']).'; } .trending-search a.trending-search-popular-keyword:hover { '.(isset($theme_options['theme_header_treanding_search_link_color']['hover'])?'color:'.esc_attr($theme_options['theme_header_treanding_search_link_color']['hover']).';':'').' }';
		
		//Mobile Menu Control
		echo '@media (max-width: 767px){ .navbar { min-height: auto; } .navbar, .navbar .nav-fix, .hamburger-menu { height: '.esc_attr($theme_options['mobile-menu-height']).'px!important; } }';

	}
}



?>