<?php 
/*-----------------------------------------------------------------------------------*/
/*	THEME :: MENU - DESKTOP + RESPONSIVE
/*-----------------------------------------------------------------------------------*/
if (!function_exists('manual__cs_headermenucontrol_customize_settings')) {
	function manual__cs_headermenucontrol_customize_settings() {
		global $theme_options;
		
		$border_btm_color_li = $menu_inner_level_border_radius = $first_level_menu_active_text_color = $first_level_menu_word_spacing = $menu_inner_level_menu_word_spacing = '';
		if( isset($theme_options['mobile-menu-border-btm-li-color']['rgba']) && $theme_options['mobile-menu-border-btm-li-color']['rgba'] != '' ) {
			$border_btm_color_li = 'border-bottom: 1px solid '.esc_attr($theme_options['mobile-menu-border-btm-li-color']['rgba']).'!important;';
		}
		if( isset($theme_options['menu-inner-level-border-radius']) && $theme_options['menu-inner-level-border-radius'] != '' ) {
			$menu_inner_level_border_radius = '#navbar ul li.has-sub:hover > ul, #navbar ul li.has-sub:hover > div, #navbar ul li.menu-item-has-children:hover > ul { border-radius:'.$theme_options['menu-inner-level-border-radius'].'; }';
		}
		if( isset($theme_options['first-level-menu-active-text-color']['regular']) && $theme_options['first-level-menu-active-text-color']['regular'] != "" ) {
			$first_level_menu_active_text_color = '.navbar-inverse .navbar-nav>.active>a, .navbar-inverse .navbar-nav>.current_page_item>a {color:'.$theme_options['first-level-menu-active-text-color']['regular'].'!important; }';
		}
		
		echo $first_level_menu_active_text_color.''.$menu_inner_level_border_radius.'.navbar-inverse .navbar-nav>li>a { color:'.esc_attr($theme_options['first-level-menu-text-color']['regular']).'; } #navbar ul li > ul li a { color:'.esc_attr($theme_options['menu-inner-level-text-color']['regular']).'!important; } .navbar-inverse .navbar-nav>li>a:hover, .navbar-inverse .navbar-nav>li>a:focus { color:'.esc_attr($theme_options['first-level-menu-text-color']['hover']).'; }#navbar ul li > ul, #navbar ul li > ul li > ul { background-color:'.esc_attr($theme_options['menu-inner-level-background-color']).'; border-color:'.esc_attr($theme_options['menu-inner-level-background-color']).'; box-shadow: 0 5px 11px 0 rgba(0,0,0,.27); padding: 10px 0px;} #navbar ul li > ul li a:hover { color:'.esc_attr($theme_options['menu-inner-level-text-color']['hover']).'!important; } @media (max-width: 991px){ .mobile-menu-holder{ background:'.esc_attr($theme_options['mobile-bgackground-holder-background-color']).'; } .mobile-menu-holder li a { color:'.esc_attr($theme_options['mobile-first-level-menu-text-color']['regular']).'; } .mobile-menu-holder li a:hover { color: '.esc_attr($theme_options['mobile-first-level-menu-text-color']['hover']).'; background:none; }  .mobile-menu-holder li > ul li a { color: '.esc_attr($theme_options['mobile-menu-inner-level-text-color']['regular']).'!important;  }  .mobile-menu-holder li > ul li a:hover{ color: '.esc_attr($theme_options['mobile-menu-inner-level-text-color']['hover']).'!important; } .mobile_menu_arrow { color:'.esc_attr($theme_options['mobile-first-level-menu-text-color']['regular']).'; } .mobile_menu_arrow:hover { color:'.esc_attr($theme_options['mobile-first-level-menu-text-color']['hover']).'; } .mobile-menu-holder ul > li { '.$border_btm_color_li.' } } @media (max-width: 991px) and (min-width: 768px){ .navbar-inverse .navbar-toggle { top:'.esc_attr($theme_options['first-level-responsive-hamburger-menu-top-margin']).'px; } } @media (max-width: 767px){ .navbar-inverse .navbar-toggle { border:none!important; top:'.esc_attr($theme_options['first-level-responsive-hamburger-menu-top-margin']).'px; } } .theme-social-icons li a, .shopping_cart_header .header_cart{ color:'.esc_attr($theme_options['first-level-menu-text-color']['regular']).'; } .theme-social-icons li a:hover { color:'.esc_attr($theme_options['first-level-menu-text-color']['hover']).'; } .hamburger-menu span { background:'.esc_attr($theme_options['first-level-menu-text-color']['regular']).'; } #navbar ul li > ul li.active a { color:'.esc_attr($theme_options['menu-inner-level-active-text-color']['regular']).'!important; }';
		// show hide
		echo '@media (max-width: 991px){ .mobile-menu-holder i.menu_arrow_first_level.fa.fa-caret-down { float: right;  padding: 5px; } .mobile-menu-holder ul > li { border-bottom: 1px solid rgba(241, 241, 241, 0.92); } .mobile-menu-holder li > ul li a i { display: block; float: right; margin-top: 6px; } .mobile-menu-holder ul.sub-menu li:last-child, .mobile-menu-holder ul > li:last-child{ border-bottom:none; } }';
		if( isset($theme_options['first-level-menu-icon']) && $theme_options['first-level-menu-icon'] == false ) {
			echo '#navbar i.menu_arrow_first_level.fa.fa-caret-down { display:none }';
		}
		//Icon Search Popup
		echo 'span.burger-icon-top, span.burger-icon-bottom { background:'.esc_attr($theme_options['first-level-menu-text-color']['regular']).'; }';
		
		
		// RESPONSIVE LAYOUT SETTINGS
		if( isset($theme_options['theme-responsive-bar-icon-replacement']) && $theme_options['theme-responsive-bar-icon-replacement'] == 1 ) {
		echo '.navbar-inverse i.navbar-toggle{ cursor:pointer;  background:'.esc_attr($theme_options['responsive-bar-icon-replacement-text-botton-bg-color']['regular']).'; } .navbar-inverse i.navbar-toggle:hover { background:'.esc_attr($theme_options['responsive-bar-icon-replacement-text-botton-bg-color']['hover']).'; }';
		}
		
		// Flip logo
		if( isset($theme_options['mobile-mainheader-flip-logo']) && $theme_options['mobile-mainheader-flip-logo'] == true ) {
			echo '@media (max-width: 991px){ .navbar-brand img.home-logo-show { display:none; } .navbar-brand img.inner-page-white-logo { display:block; } }';
		}
		
	}
}

/*-----------------------------------*/
/*	MANUAL CUSTOMIZE :: STICKY MENU
/*-----------------------------------*/
if (!function_exists('manual__cs_stickymenu_customize_settings')) {
	function manual__cs_stickymenu_customize_settings(){
		global $theme_options;
		$bg_color = '';
		if( isset($theme_options['theme_sticky_menu_background']['rgba']) && $theme_options['theme_sticky_menu_background']['rgba'] != '' ) {
			$bg_color = 'background:'.esc_attr($theme_options['theme_sticky_menu_background']['rgba']).'!important;';
		}
		if( $theme_options['theme_sticky_white_logo'] == true ) {
			echo 'nav.navbar.after-scroll-wrap img.home-logo-show { display: none; } nav.navbar.after-scroll-wrap img.inner-page-white-logo { display: block; }';
		}
		echo 'body.home nav.navbar.after-scroll-wrap, body nav.navbar.after-scroll-wrap { '.$bg_color.' } .navbar-inverse.after-scroll-wrap .navbar-nav>li>a { color:'.esc_attr($theme_options['theme_sticky_menu_text_color']['regular']).'!important; } .navbar-inverse.after-scroll-wrap .navbar-nav>li>a:hover {  color:'.esc_attr($theme_options['theme_sticky_menu_text_color']['hover']).'!important; } ';
		if( $theme_options['theme-global-menu-type'] == 3 || $theme_options['theme-global-menu-type'] == 4 ) {
			echo 'body nav.navbar.after-scroll-wrap .menu_type_three .navbar-nav { float: right!important; margin-top: -66px; } body nav.navbar.after-scroll-wrap .menu_type_three .navbar-nav>li:last-child>a { padding: 0px 0px 0px 0px!important; } ';
			if( $theme_options['theme-global-menu-type'] == 4 ) echo '@media (min-width: 768px) { body nav.navbar.after-scroll-wrap .navbar-header { display: block; } }';
		}
	}
}
?>