<?php
if (!function_exists('manual__pagetitlebar_type_bbpress')) {
	function manual__pagetitlebar_type_bbpress(){
		global $post, $theme_options;
		
		echo '@media(max-width: 991px){ .navbar.theme-forum-bbpress-pages { border-bottom: none!important; } }';
		
		// Disable title 
		if( isset($theme_options['onoff-bbpress-page-title-bar']) && $theme_options['onoff-bbpress-page-title-bar'] == false ) { 
			if( isset($theme_options['theme-nav-type']) && $theme_options['theme-nav-type'] == 2 ) {
			echo '@media(min-width: 991px){ .navbar-inverse.theme-forum-bbpress-pages { position: inherit; } .jumbotron_new.theme-forum-bbpress-pages .inner-margin-top { padding-top: 0px; } }';			}
		}
			
		// 1. Header menu
		if( isset($theme_options['bbpress_header_menu']) && $theme_options['bbpress_header_menu'] == true ) { 
			// 1.1. Flip logo
			if( isset($theme_options['bbpress_header_flip_logo']) && $theme_options['bbpress_header_flip_logo'] == true ) { 
				echo '@media(min-width: 991px){ .navbar-inverse.theme-forum-bbpress-pages img.inner-page-white-logo { display:block; } .navbar-inverse.theme-forum-bbpress-pages img.home-logo-show { display:none; } }';
			}
			// 1.2. Header shadow
			if( isset($theme_options['bbpress_header_shadow']) && $theme_options['bbpress_header_shadow'] == false ) { 
				echo '.navbar.theme-forum-bbpress-pages { box-shadow: none; }';
			}
		}
		
		// 2. Re-adjust header height
		if( isset($theme_options['bbpress-header-height']) && $theme_options['bbpress-header-height'] != '' ) {
			echo '@media (min-width: 992px) { .theme-forum-bbpress-pages .header_custom_height_new { padding: '.esc_attr($theme_options['bbpress-header-height']).'; } }';
		}
		if( isset($theme_options['bbpress-responsive-header-height']) && $theme_options['bbpress-responsive-header-height'] != '' ) {
			echo '@media (max-width: 991px) {  .theme-forum-bbpress-pages .header_custom_height_new { padding:'.esc_attr($theme_options['bbpress-responsive-header-height']).'; } }';
		}
		
		// 3. Responsive Typography
		$responsive_page_title_font_size = $responsive_page_title_line_height = $responsive_page_title_letter_spacing = $responsive_page_title_word_spacing = '';
		if( isset($theme_options['bbpress_pgtitlebar_typ_responsive_h1']['font-size']) && $theme_options['bbpress_pgtitlebar_typ_responsive_h1']['font-size'] != '' ) { 
		$responsive_page_title_font_size = 'font-size:'.esc_attr($theme_options['bbpress_pgtitlebar_typ_responsive_h1']['font-size']).( ($theme_options['bbpress_pgtitlebar_typ_responsive_h1']['font-size'] == '28')?'px':'' ).'!important;'; 
		}
		if( isset($theme_options['bbpress_pgtitlebar_typ_responsive_h1']['line-height']) && $theme_options['bbpress_pgtitlebar_typ_responsive_h1']['line-height'] != '' ) { 
			$responsive_page_title_line_height = 'line-height:'.esc_attr($theme_options['bbpress_pgtitlebar_typ_responsive_h1']['line-height']).( ($theme_options['bbpress_pgtitlebar_typ_responsive_h1']['line-height'] == '28')?'px':'' ).'!important;'; 
		}
		if( isset($theme_options['bbpress_pgtitlebar_typ_responsive_h1']['letter-spacing']) && $theme_options['bbpress_pgtitlebar_typ_responsive_h1']['letter-spacing'] != '' ) { 
			$responsive_page_title_letter_spacing = 'letter-spacing:'.esc_attr($theme_options['bbpress_pgtitlebar_typ_responsive_h1']['letter-spacing']).( ($theme_options['bbpress_pgtitlebar_typ_responsive_h1']['letter-spacing'] == '-1')?'px':'' ).'!important;'; 
		}
		if( isset($theme_options['bbpress_pgtitlebar_typ_responsive_h1']['word-spacing']) && $theme_options['bbpress_pgtitlebar_typ_responsive_h1']['word-spacing'] != '' ) {
			$responsive_page_title_word_spacing = 'word-spacing:'.esc_attr($theme_options['bbpress_pgtitlebar_typ_responsive_h1']['word-spacing']).'!important;'; 
		}
		echo '@media (max-width: 767px) { .theme-forum-bbpress-pages h1.custom_h1_head { '.$responsive_page_title_font_size.' '.$responsive_page_title_line_height.' '.$responsive_page_title_letter_spacing.' '.$responsive_page_title_word_spacing.' } }';
			
			
		// ----- Text Align ------
		if( isset($theme_options['search-header-text-align']) && $theme_options['bbpress-header-text-align'] != '' ) {
			echo '.header_control_text_align { text-align:'.esc_attr($theme_options['bbpress-header-text-align']).'; }';
		}
		
		// 3. Background
		$bg_color = $page_background = '';
		if( isset($theme_options['bbpress_pagetitlebar_background_setup']['background-image']) && $theme_options['bbpress_pagetitlebar_background_setup']['background-image'] != '' ) {
			if(isset($theme_options['bbpress_pagetitlebar_background_setup']['background-color']) && $theme_options['bbpress_pagetitlebar_background_setup']['background-color'] != '') {
				$bg_color = $theme_options['bbpress_pagetitlebar_background_setup']['background-color'];
			}
			$page_background = 'background: '.esc_attr($bg_color).' url('.esc_url($theme_options['bbpress_pagetitlebar_background_setup']['background-image']).');';
		} else {
			if(isset($theme_options['bbpress_pagetitlebar_background_setup']['background-color']) && $theme_options['bbpress_pagetitlebar_background_setup']['background-color'] != '') {
				$page_background = 'background: '.esc_attr($theme_options['bbpress_pagetitlebar_background_setup']['background-color']).';';
			}
		}
		echo '.noise-break.theme-forum-bbpress-pages { '.$page_background.'  
		'.((isset($theme_options['bbpress_pagetitlebar_background_setup']['background-position']) && ($theme_options['bbpress_pagetitlebar_background_setup']['background-position']) != '')?'background-position:'.esc_attr($theme_options['bbpress_pagetitlebar_background_setup']['background-position']).'!important;':'').'
		'.((isset($theme_options['bbpress_pagetitlebar_background_setup']['background-size']) && ($theme_options['bbpress_pagetitlebar_background_setup']['background-size']) != '')?'background-size:'.esc_attr($theme_options['bbpress_pagetitlebar_background_setup']['background-size']).'!important;':'').'
		'.((isset($theme_options['bbpress_pagetitlebar_background_setup']['background-repeat']) && ($theme_options['bbpress_pagetitlebar_background_setup']['background-repeat']) != '')?'background-repeat:'.esc_attr($theme_options['bbpress_pagetitlebar_background_setup']['background-repeat']).'!important;':'').'
		'.((isset($theme_options['bbpress_pagetitlebar_background_setup']['background-attachment']) && ($theme_options['bbpress_pagetitlebar_background_setup']['background-attachment']) != '')?'background-attachment:'.esc_attr($theme_options['bbpress_pagetitlebar_background_setup']['background-attachment']).'!important;':'').'
		}';		
	
		
	}
}
?>