<?php
if (!function_exists('manual__pagetitlebar_type_documentation')) {
	function manual__pagetitlebar_type_documentation(){
		global $post, $theme_options;
		$check_cat_img_exist = $bg_color = '';
		
		echo '@media(max-width: 991px){ .navbar.theme-documentation-pages { border-bottom: none!important; } }';
		
		// Disable title 
		if( isset($theme_options['onoff-documentation-catag-single-page-title-bar']) && $theme_options['onoff-documentation-catag-single-page-title-bar'] == false ) { 
			if( isset($theme_options['theme-nav-type']) && $theme_options['theme-nav-type'] == 2 ) {
			echo '@media(min-width: 991px){ .navbar-inverse.theme-documentation-pages { position: inherit; } .jumbotron_new.theme-documentation-pages .inner-margin-top { padding-top: 0px; } }';			}
		}
			
		// 1. Header menu
		if( isset($theme_options['documentation_pagetitlebar_header_menu']) && $theme_options['documentation_pagetitlebar_header_menu'] == true ) { 
			// 1.1. Flip logo
			if( isset($theme_options['documentation_pagetitlebar_header_flip_logo']) && $theme_options['documentation_pagetitlebar_header_flip_logo'] == true ) { 
				echo '@media(min-width: 991px){ .navbar-inverse.theme-documentation-pages img.inner-page-white-logo { display:block; } .navbar-inverse.theme-documentation-pages img.home-logo-show { display:none; } }';
			}
			// 1.2. Header shadow
			if( isset($theme_options['documentation_pagetitlebar_header_shadow']) && $theme_options['documentation_pagetitlebar_header_shadow'] == false ) { 
				echo '.navbar.theme-documentation-pages { box-shadow: none; }';
			}
		}
		
		// 2. Re-adjust header height
		if( isset($theme_options['documentation-header-height-category-page']) && $theme_options['documentation-header-height-category-page'] != '' ) {
			echo '@media (min-width: 992px) { .theme-documentation-pages .header_custom_height_new { padding: '.esc_attr($theme_options['documentation-header-height-category-page']).'; } }';
		}
		if( isset($theme_options['documentation-responsive-header-height-category-page']) && $theme_options['documentation-responsive-header-height-category-page'] != '' ) {
			echo '@media (max-width: 991px) {  .theme-documentation-pages .header_custom_height_new { padding:'.esc_attr($theme_options['documentation-responsive-header-height-category-page']).'; } }';
		}
		
		// 3. Background.
		if( is_single() ) {
			$terms = wp_get_post_terms($post->ID, 'manualdocumentationcategory');
			$current_term = $terms[0];
			$term_id = $current_term->term_id;
			if (function_exists('category_image_src')) {
				$display_cat_img = false; 
				// Get only image url
				$display_cat_params = array(
				  'term_id' => $term_id,
				  'size' => 'full'
				);
				$check_cat_img_exist = category_image_src( $display_cat_params , $display_cat_img );
				$check_cat_img_exist = $check_cat_img_exist;
			}
		} else {
			if (function_exists('category_image_src')) {
					$display_cat_img = false; 
					// Get only image url
					$display_cat_params = array(
					  'term_id' => null,
					  'size' => 'full'
					);
					$check_cat_img_exist = category_image_src( $display_cat_params , $display_cat_img );
					$check_cat_img_exist = $check_cat_img_exist;
			}
		}
		
		if( $check_cat_img_exist == '' ) {
			if( isset($theme_options['documentation-pagetitlebar-background-setup']['background-image']) && $theme_options['documentation-pagetitlebar-background-setup']['background-image'] != '' ) {
				if( isset($theme_options['documentation-pagetitlebar-background-setup']['background-color']) && $theme_options['documentation-pagetitlebar-background-setup']['background-color'] != '' ) {
					$bg_color = $theme_options['documentation-pagetitlebar-background-setup']['background-color'];
				}
				$check_cat_img_exist = esc_url($theme_options['documentation-pagetitlebar-background-setup']['background-image']);
			}
		}
		
		if( $check_cat_img_exist != '') {
			$check_cat_img_exist = 'background: '.esc_attr($bg_color).' url('.esc_url($check_cat_img_exist).');';
		} else {
			if( isset($theme_options['documentation-pagetitlebar-background-setup']['background-color']) && $theme_options['documentation-pagetitlebar-background-setup']['background-color'] != '' ) {
				$check_cat_img_exist = 'background: '.esc_attr($theme_options['documentation-pagetitlebar-background-setup']['background-color']).';';
			}
		}
		echo '.noise-break.theme-documentation-pages { '.$check_cat_img_exist.'
			'.((isset($theme_options['documentation-pagetitlebar-background-setup']['background-repeat']) && $theme_options['documentation-pagetitlebar-background-setup']['background-repeat'] !='')?'background-repeat:'.esc_attr($theme_options['documentation-pagetitlebar-background-setup']['background-repeat']).';':'').' 
			'.((isset($theme_options['documentation-pagetitlebar-background-setup']['background-attachment']) && $theme_options['documentation-pagetitlebar-background-setup']['background-attachment'] !='' )?'background-attachment:'.esc_attr($theme_options['documentation-pagetitlebar-background-setup']['background-attachment']).';':'').' 
			'.((isset($theme_options['documentation-pagetitlebar-background-setup']['background-position']) && $theme_options['documentation-pagetitlebar-background-setup']['background-position'] !='')?'background-position:'.esc_attr($theme_options['documentation-pagetitlebar-background-setup']['background-position']).';':'').' 
			'.((isset($theme_options['documentation-pagetitlebar-background-setup']['background-size']) && $theme_options['documentation-pagetitlebar-background-setup']['background-size'] != '')?'background-size:'.esc_attr($theme_options['documentation-pagetitlebar-background-setup']['background-size']).';':'').' 
		 }';
		
			
		// ----- Text Align ------
		if( isset($theme_options['doc-header-text-align']) && $theme_options['doc-header-text-align'] != '' ) {
			echo '.header_control_text_align { text-align:'.esc_attr($theme_options['doc-header-text-align']).'; }';
		}
		
		// ----- Misc ------
		if( $theme_options['documentation-quick-stats-under-title'] == true && !is_user_logged_in()  ) { echo '.page-title-header:before {font-size: 34px;top: -7px;}.page-title-header { padding: 0px 0px 0px 53px; margin-bottom: -8px; }'; }
		if( $theme_options['documentation-voting-buttons-status'] == true || ($theme_options['documentation-voting-buttons-status'] == false && !is_user_logged_in() && $theme_options['documentation-voting-login-users'] == true)  ) {
			echo '.panel-heading .social-box { float: none; }';
		}
		
		// ----- Article Records Style 2 Control ------
		if( isset($theme_options['doc-global-arcile-display-style']) && $theme_options['doc-global-arcile-display-style'] == 2 ) {  
			echo '.doc-single-post .page-title-header p { float: right; margin-top: 35px; margin-bottom: 0px; } .doc-single-post .page-title-header:before { content: ""; } .doc-single-post .page-title-header { padding: 0px 0px 5px 0px; } @media (max-width:767px) { .doc-single-post .page-title-header p { float: none; } }';
		if( is_rtl() ) echo '.doc-single-post .page-title-header p { float: left; } .body-content .doc-single-post h2.singlepg-font, .doc-single-post .page-title-header p { padding-right: 0px; padding-left: 67px; } .doc-single-post .page-title-header p.entry-meta { padding-left: 0px; } .body-content .doc-single-post .page-title-header span { padding-left: 7px; } .pom-small-grey { padding-right: 17px!important; }';	
			if( $theme_options['doc-global-design2-author'] == false ) { echo '.doc-single-post .page-title-header p { float: none; margin-top: 0px; margin-bottom: 10px; }'; } 
		}		
	
		
	}
}
?>