<?php
if (!function_exists('manual__pagetitlebar_type_knowledgebase_cat')) {
	function manual__pagetitlebar_type_knowledgebase_cat(){
		global $post, $theme_options;
		$check_cat_img_exist = $display_img = $bg_color = '';
		
		echo '@media(max-width: 991px){ .navbar.theme-cat-kb-page { border-bottom: none!important; } }';
		
		// Disable title 
		if( isset($theme_options['onoff-knowledgebase-catag-page-title-bar']) && $theme_options['onoff-knowledgebase-catag-page-title-bar'] == false ) { 
			if( isset($theme_options['theme-nav-type']) && $theme_options['theme-nav-type'] == 2 ) {
			echo '@media(min-width: 991px){ .navbar-inverse.theme-cat-kb-page { position: inherit; } .jumbotron_new.theme-cat-kb-page .inner-margin-top { padding-top: 0px; } }';			}
		}
			
		// 1. Header menu
		if( isset($theme_options['knowledgebase_pagetitlebar_cat_header_menu']) && $theme_options['knowledgebase_pagetitlebar_cat_header_menu'] == true ) { 
			// 1.1. Flip logo
			if( isset($theme_options['knowledgebase_pagetitlebar_cat_header_flip_logo']) && $theme_options['knowledgebase_pagetitlebar_cat_header_flip_logo'] == true ) { 
				echo '@media(min-width: 991px){ .navbar-inverse.theme-cat-kb-page img.inner-page-white-logo { display:block; } .navbar-inverse.theme-cat-kb-page img.home-logo-show { display:none; } }';
			}
			// 1.2. Header shadow
			if( isset($theme_options['knowledgebase_pagetitlebar_cat_header_shadow']) && $theme_options['knowledgebase_pagetitlebar_cat_header_shadow'] == false ) { 
				echo '.navbar.theme-cat-kb-page { box-shadow: none; }';
			}
		}
		
		// 2. Re-adjust header height
		if( isset($theme_options['kbcat-header-height']) && $theme_options['kbcat-header-height'] != '' ) {
			echo '@media (min-width: 992px) { .theme-cat-kb-page .header_custom_height_new { padding: '.esc_attr($theme_options['kbcat-header-height']).'; } }';
		}
		if( isset($theme_options['kbcat-responsive-header-height']) && $theme_options['kbcat-responsive-header-height'] != '' ) {
			echo '@media (max-width: 991px) {  .theme-cat-kb-page .header_custom_height_new { padding:'.esc_attr($theme_options['kbcat-responsive-header-height']).'; } }';
		}
		
		// 3. Background.
		if (function_exists('category_image_src')) {
				$display_cat_img = false; 
				// Get only image url
				$display_cat_params = array(
				  'term_id' => null,
				  'size' => 'full'
				);
				$check_cat_img_exist = category_image_src( $display_cat_params , $display_cat_img );
				$check_cat_img_exist = $check_cat_img_exist;
		}
		
		if( $check_cat_img_exist == '' ) {
			if( isset($theme_options['knowledgebase-pagetitlebar-cat-background-setup']['background-image']) && $theme_options['knowledgebase-pagetitlebar-cat-background-setup']['background-image'] != '' ) {
				$check_cat_img_exist = esc_url($theme_options['knowledgebase-pagetitlebar-cat-background-setup']['background-image']);
			} else {
				if( isset($theme_options['knowledgebase-pagetitlebar-cat-background-setup']['background-color']) && $theme_options['knowledgebase-pagetitlebar-cat-background-setup']['background-color'] != '' ) {
					$display_img = 'background: '.esc_attr($theme_options['knowledgebase-pagetitlebar-cat-background-setup']['background-color']).';';
				}
			}
		}
		
		if( $check_cat_img_exist != '') {
			if( isset($theme_options['knowledgebase-pagetitlebar-cat-background-setup']['background-color']) && $theme_options['knowledgebase-pagetitlebar-cat-background-setup']['background-color'] != '' ) {
				$bg_color = $theme_options['knowledgebase-pagetitlebar-cat-background-setup']['background-color'];
			}
			$display_img = 'background: '.esc_attr($bg_color).' url('.esc_url($check_cat_img_exist).');';
		}
		echo '.noise-break.theme-cat-kb-page { '.$display_img.'
			'.((isset($theme_options['knowledgebase-pagetitlebar-cat-background-setup']['background-repeat']) && $theme_options['knowledgebase-pagetitlebar-cat-background-setup']['background-repeat'] !='')?'background-repeat:'.esc_attr($theme_options['knowledgebase-pagetitlebar-cat-background-setup']['background-repeat']).';':'').' 
			'.((isset($theme_options['knowledgebase-pagetitlebar-cat-background-setup']['background-attachment']) && $theme_options['knowledgebase-pagetitlebar-cat-background-setup']['background-attachment'] !='' )?'background-attachment:'.esc_attr($theme_options['knowledgebase-pagetitlebar-cat-background-setup']['background-attachment']).';':'').' 
			'.((isset($theme_options['knowledgebase-pagetitlebar-cat-background-setup']['background-position']) && $theme_options['knowledgebase-pagetitlebar-cat-background-setup']['background-position'] !='')?'background-position:'.esc_attr($theme_options['knowledgebase-pagetitlebar-cat-background-setup']['background-position']).';':'').' 
			'.((isset($theme_options['knowledgebase-pagetitlebar-cat-background-setup']['background-size']) && $theme_options['knowledgebase-pagetitlebar-cat-background-setup']['background-size'] != '')?'background-size:'.esc_attr($theme_options['knowledgebase-pagetitlebar-cat-background-setup']['background-size']).';':'').' 
		 }';
		
			
		// ----- Text Align ------
		if( isset($theme_options['kbcat-text-align']) && $theme_options['kbcat-text-align'] != '' ) {
			echo '.header_control_text_align { text-align:'.esc_attr($theme_options['kbcat-text-align']).'; }';
		}
			
		
	}
}
?>