<?php
if (!function_exists('manual__pagetitlebar_type_knowledgebase')) {
	function manual__pagetitlebar_type_knowledgebase(){
		global $post, $theme_options;
		$check_cat_img_exist = '';
		
		echo '@media(max-width: 991px){ .navbar.theme-single-kb-page { border-bottom: none!important; } }';
		
		// Disable title 
		if( isset($theme_options['onoff-knowledgebase-single-page-title-bar']) && $theme_options['onoff-knowledgebase-single-page-title-bar'] == false ) { 
			if( isset($theme_options['theme-nav-type']) && $theme_options['theme-nav-type'] == 2 ) {
			echo '@media(min-width: 991px){ .navbar-inverse.theme-single-kb-page { position: inherit; } .jumbotron_new.theme-single-kb-page .inner-margin-top { padding-top: 0px; } }';			}
		}
			
		// 1. Header menu
		if( isset($theme_options['knowledgebase_pagetitlebar_header_menu']) && $theme_options['knowledgebase_pagetitlebar_header_menu'] == true ) { 
			// 1.1. Flip logo
			if( isset($theme_options['knowledgebase_pagetitlebar_header_flip_logo']) && $theme_options['knowledgebase_pagetitlebar_header_flip_logo'] == true ) { 
				echo '@media(min-width: 991px){ .navbar-inverse.theme-single-kb-page img.inner-page-white-logo { display:block; } .navbar-inverse.theme-single-kb-page img.home-logo-show { display:none; } }';
			}
			// 1.2. Header shadow
			if( isset($theme_options['knowledgebase_pagetitlebar_header_shadow']) && $theme_options['knowledgebase_pagetitlebar_header_shadow'] == false ) { 
				echo '.navbar.theme-single-kb-page { box-shadow: none; }';
			}
		}
		
		// 2. Re-adjust header height
		$page_header_padding = get_post_meta( get_the_ID(), '_manual_header_height', 1 );
		if( isset($page_header_padding) && $page_header_padding != '' ) {
			echo '@media (min-width: 992px) { .theme-single-kb-page .header_custom_height_new { padding: '.esc_attr($page_header_padding).'; } }';
		} else {
			if( isset($theme_options['kbsinglepg-header-height']) && $theme_options['kbsinglepg-header-height'] != '' ) {
				echo '@media (min-width: 992px) { .theme-single-kb-page .header_custom_height_new { padding: '.esc_attr($theme_options['kbsinglepg-header-height']).'; } }';
			}
		}
		if( isset($theme_options['kbsinglepg-responsive-header-height']) && $theme_options['kbsinglepg-responsive-header-height'] != '' ) {
			echo '@media (max-width: 991px) {  .theme-single-kb-page .header_custom_height_new { padding:'.esc_attr($theme_options['kbsinglepg-responsive-header-height']).'; } }';
		}
		
		// 3. Background.
		$display_img = $bg_code = $bg_color = '';
		if (has_post_thumbnail()) {
			if( isset($theme_options['knowledgebase-pagetitlebar-featured-image']) && $theme_options['knowledgebase-pagetitlebar-featured-image'] == false ) {
				$display_img = get_the_post_thumbnail_url( get_the_ID(), 'full' );
			} else {
				if( isset($theme_options['knowledgebase-pagetitlebar-background-setup']['background-image']) && $theme_options['knowledgebase-pagetitlebar-background-setup']['background-image'] != '' ) {
					$display_img = esc_url($theme_options['knowledgebase-pagetitlebar-background-setup']['background-image']);
				}
			}
		} else {
			if( isset($theme_options['knowledgebase-pagetitlebar-background-setup']['background-image']) && $theme_options['knowledgebase-pagetitlebar-background-setup']['background-image'] != '' ) {
				$display_img = esc_url($theme_options['knowledgebase-pagetitlebar-background-setup']['background-image']);
			}
		}
		
		if( $display_img != '') {
			if( isset($theme_options['knowledgebase-pagetitlebar-background-setup']['background-color']) && $theme_options['knowledgebase-pagetitlebar-background-setup']['background-color'] != '' ) {
				$bg_color = $theme_options['knowledgebase-pagetitlebar-background-setup']['background-color'];
			}
			$bg_code = 'background: '.esc_attr($bg_color).' url('.esc_url($display_img).');';
		} else {
			if( isset($theme_options['knowledgebase-pagetitlebar-background-setup']['background-color']) && $theme_options['knowledgebase-pagetitlebar-background-setup']['background-color'] != '' ) {
				$bg_color = $theme_options['knowledgebase-pagetitlebar-background-setup']['background-color'];
				$bg_code = 'background: '.esc_attr($bg_color).';';
			}
			
		}
		
		echo '.noise-break.theme-single-kb-page { '.$bg_code.' ';
		if (has_post_thumbnail()) {
		if( isset($theme_options['knowledgebase-pagetitlebar-featured-image']) && $theme_options['knowledgebase-pagetitlebar-featured-image'] == false ) {
		echo ''.((isset($theme_options['knowledgebase-pagetitlebar-featureimg-background-setup']['background-repeat']) && $theme_options['knowledgebase-pagetitlebar-featureimg-background-setup']['background-repeat'] !='')?'background-repeat:'.esc_attr($theme_options['knowledgebase-pagetitlebar-featureimg-background-setup']['background-repeat']).';':'').' 
			'.((isset($theme_options['knowledgebase-pagetitlebar-featureimg-background-setup']['background-attachment']) && $theme_options['knowledgebase-pagetitlebar-featureimg-background-setup']['background-attachment'] !='' )?'background-attachment:'.esc_attr($theme_options['knowledgebase-pagetitlebar-featureimg-background-setup']['background-attachment']).';':'').' 
			'.((isset($theme_options['knowledgebase-pagetitlebar-featureimg-background-setup']['background-position']) && $theme_options['knowledgebase-pagetitlebar-featureimg-background-setup']['background-position'] !='')?'background-position:'.esc_attr($theme_options['knowledgebase-pagetitlebar-featureimg-background-setup']['background-position']).';':'').' 
			'.((isset($theme_options['knowledgebase-pagetitlebar-featureimg-background-setup']['background-size']) && $theme_options['knowledgebase-pagetitlebar-featureimg-background-setup']['background-size'] != '')?'background-size:'.esc_attr($theme_options['knowledgebase-pagetitlebar-featureimg-background-setup']['background-size']).';':'').'';
		} 
		} else {
		echo ''.((isset($theme_options['knowledgebase-pagetitlebar-background-setup']['background-repeat']) && $theme_options['knowledgebase-pagetitlebar-background-setup']['background-repeat'] !='')?'background-repeat:'.esc_attr($theme_options['knowledgebase-pagetitlebar-background-setup']['background-repeat']).';':'').' 
			'.((isset($theme_options['knowledgebase-pagetitlebar-background-setup']['background-attachment']) && $theme_options['knowledgebase-pagetitlebar-background-setup']['background-attachment'] !='' )?'background-attachment:'.esc_attr($theme_options['knowledgebase-pagetitlebar-background-setup']['background-attachment']).';':'').' 
			'.((isset($theme_options['knowledgebase-pagetitlebar-background-setup']['background-position']) && $theme_options['knowledgebase-pagetitlebar-background-setup']['background-position'] !='')?'background-position:'.esc_attr($theme_options['knowledgebase-pagetitlebar-background-setup']['background-position']).';':'').' 
			'.((isset($theme_options['knowledgebase-pagetitlebar-background-setup']['background-size']) && $theme_options['knowledgebase-pagetitlebar-background-setup']['background-size'] != '')?'background-size:'.esc_attr($theme_options['knowledgebase-pagetitlebar-background-setup']['background-size']).';':'').''; 
		}	
		echo '}';
		
		
		// ----- Feature Image Vs Normal ------
		$feature_image_css = 2;
		if (has_post_thumbnail()) {
			if( isset($theme_options['knowledgebase-pagetitlebar-featured-image']) && $theme_options['knowledgebase-pagetitlebar-featured-image'] == false ) {
				$feature_image_css = 1;
			}
		}
		if( $feature_image_css == 1 ) {
			// overlay
			if( isset($theme_options['knowledgebase-pagetitlebar-feature-image-overlay']['rgba']) && $theme_options['knowledgebase-pagetitlebar-feature-image-overlay']['rgba'] != '' ) {
			echo '.noise-break.theme-single-kb-page .page_opacity.header_custom_height_new { background:'.esc_attr($theme_options['knowledgebase-pagetitlebar-feature-image-overlay']['rgba']).'; }';
	}	
			// Page title color	
			if( isset($theme_options['kb_pagetitlebar_feature_title_color']) && $theme_options['kb_pagetitlebar_feature_title_color'] != '' ) {
				echo '.noise-break.theme-single-kb-page h1.custom_h1_head { color:'.esc_attr($theme_options['kb_pagetitlebar_feature_title_color']).'; }';
			}
			// Desc color
			if( isset($theme_options['kb_pagetitlebar_feature_title_desc_color']) && $theme_options['kb_pagetitlebar_feature_title_desc_color'] != '' ) {
				echo '.noise-break.theme-single-kb-page .header-desc p { color:'.esc_attr($theme_options['kb_pagetitlebar_feature_title_desc_color']).'; }';
			}
			// Breadcrumb - Regular
			if( isset($theme_options['knowledgebase_pagetitlebar_featureimg_breadcrumb_regular_text_color']['rgba']) && 
				$theme_options['knowledgebase_pagetitlebar_featureimg_breadcrumb_regular_text_color']['rgba'] != '' ) {
				echo '.noise-break.theme-single-kb-page #breadcrumbs {  color:'.esc_attr($theme_options['knowledgebase_pagetitlebar_featureimg_breadcrumb_regular_text_color']['rgba']).'; }';
			}
			// Breadcrumb - Seprator
			if( isset($theme_options['knowledgebase_pagetitlebar_featureimg_breadcrumb_link_seprator_color']['rgba']) && 
				$theme_options['knowledgebase_pagetitlebar_featureimg_breadcrumb_link_seprator_color']['rgba'] != '' ) {
				echo '.noise-break.theme-single-kb-page #breadcrumbs span {  color:'.esc_attr($theme_options['knowledgebase_pagetitlebar_featureimg_breadcrumb_link_seprator_color']['rgba']).'; }';
			}
			// Breadcrumb - Link
			if( isset($theme_options['knowledgebase_pagetitlebar_featureimg_breadcrumb_link_color']['regular']) && 
				$theme_options['knowledgebase_pagetitlebar_featureimg_breadcrumb_link_color']['regular'] != '' ) {
				echo '.noise-break.theme-single-kb-page #breadcrumbs a {  color:'.esc_attr($theme_options['knowledgebase_pagetitlebar_featureimg_breadcrumb_link_color']['regular']).'; }.noise-break.theme-single-kb-page #breadcrumbs a:hover {  color:'.esc_attr($theme_options['knowledgebase_pagetitlebar_featureimg_breadcrumb_link_color']['hover']).'; }';
			}
			
			
		} else {
			// overlay
			if( isset($theme_options['knowledgebase-pagetitlebar-image-overlay']['rgba']) && $theme_options['knowledgebase-pagetitlebar-image-overlay']['rgba'] != '' ) {
				echo '.noise-break.theme-single-kb-page .page_opacity.header_custom_height_new { background:'.esc_attr($theme_options['knowledgebase-pagetitlebar-image-overlay']['rgba']).'; }';
			}
			// Page title color	
			if( isset($theme_options['kb_pagetitlebar-title-color']) && $theme_options['kb_pagetitlebar-title-color'] != '' ) {
				echo '.noise-break.theme-single-kb-page h1.custom_h1_head { color:'.esc_attr($theme_options['kb_pagetitlebar-title-color']).'; }';
			}
			// Desc color
			if( isset($theme_options['kb_pagetitlebar-description-color']) && $theme_options['kb_pagetitlebar-description-color'] != '' ) {
				echo '.noise-break.theme-single-kb-page .header-desc p { color:'.esc_attr($theme_options['kb_pagetitlebar-description-color']).'; }';
			}
			// Breadcrumb - Regular
			if( isset($theme_options['knowledgebase_pagetitlebar_breadcrumb_regular_text_color']['rgba']) && 
				$theme_options['knowledgebase_pagetitlebar_breadcrumb_regular_text_color']['rgba'] != '' ) {
				echo '.noise-break.theme-single-kb-page #breadcrumbs {  color:'.esc_attr($theme_options['knowledgebase_pagetitlebar_breadcrumb_regular_text_color']['rgba']).'; }';
			}
			// Breadcrumb - Seprator
			if( isset($theme_options['knowledgebase_pagetitlebar_breadcrumb_link_seprator_color']['rgba']) && 
				$theme_options['knowledgebase_pagetitlebar_breadcrumb_link_seprator_color']['rgba'] != '' ) {
				echo '.noise-break.theme-single-kb-page #breadcrumbs span {  color:'.esc_attr($theme_options['knowledgebase_pagetitlebar_breadcrumb_link_seprator_color']['rgba']).'; }';
			}
			// Breadcrumb - Link
			if( isset($theme_options['knowledgebase_pagetitlebar_breadcrumb_link_color']['regular']) && 
				$theme_options['knowledgebase_pagetitlebar_breadcrumb_link_color']['regular'] != '' ) {
				echo '.noise-break.theme-single-kb-page #breadcrumbs a {  color:'.esc_attr($theme_options['knowledgebase_pagetitlebar_breadcrumb_link_color']['regular']).'; }.noise-break.theme-single-kb-page #breadcrumbs a:hover {  color:'.esc_attr($theme_options['knowledgebase_pagetitlebar_breadcrumb_link_color']['hover']).'; }';
			}
		}
		// ----- EOF Feature Image Vs Normal ------
		
			
		// ----- Text Align ------
		if( isset($theme_options['kbsinglepg-text-align']) && $theme_options['kbsinglepg-text-align'] != '' ) {
			echo '.header_control_text_align { text-align:'.esc_attr($theme_options['kbsinglepg-text-align']).'; }';
		}
		
			
		
	}
}
?>