<?php
if (!function_exists('manual__pagetitlebar_type_learnpress')) {
	function manual__pagetitlebar_type_learnpress(){
		global $post, $theme_options;
		
		echo '@media(max-width: 991px){ .navbar.theme-learnpress-singlepg { border-bottom: none!important; } }';
		
		// Disable title 
		if( isset($theme_options['onoff-learnpress-single-page-title-bar']) && $theme_options['onoff-learnpress-single-page-title-bar'] == false ) { 
			if( isset($theme_options['theme-nav-type']) && $theme_options['theme-nav-type'] == 2 ) {
			echo '@media(min-width: 991px){ .navbar-inverse.theme-learnpress-singlepg { position: inherit; } .jumbotron_new.theme-learnpress-singlepg .inner-margin-top { padding-top: 0px; } }';			}
		}
			
		// 1. Header menu
		if( isset($theme_options['learnpress_header_menu']) && $theme_options['learnpress_header_menu'] == true ) { 
			// 1.1. Flip logo
			if( isset($theme_options['learnpress_header_flip_logo']) && $theme_options['learnpress_header_flip_logo'] == true ) { 
				echo '@media(min-width: 991px){ .navbar-inverse.theme-learnpress-singlepg img.inner-page-white-logo { display:block; } .navbar-inverse.theme-learnpress-singlepg img.home-logo-show { display:none; } }';
			}
			// 1.2. Header shadow
			if( isset($theme_options['learnpress_header_shadow']) && $theme_options['learnpress_header_shadow'] == false ) { 
				echo '.navbar.theme-learnpress-singlepg { box-shadow: none; }';
			}
		}
		
		// 2. Re-adjust header height
		if( isset($theme_options['learnpress-singlepg-header-height']) && $theme_options['learnpress-singlepg-header-height'] != '' ) {
			echo '@media (min-width: 992px) { .theme-learnpress-singlepg .header_custom_height_new { padding: '.esc_attr($theme_options['learnpress-singlepg-header-height']).'; } }';
		}
		if( isset($theme_options['learnpress-responsive-singlepg-header-height']) && $theme_options['learnpress-responsive-singlepg-header-height'] != '' ) {
			echo '@media (max-width: 991px) {  .theme-learnpress-singlepg .header_custom_height_new { padding:'.esc_attr($theme_options['learnpress-responsive-singlepg-header-height']).'; } }';
		}
		
		// 5. Feature image
		$feature_image_url = get_the_post_thumbnail_url($post->ID,'large');
		if( $theme_options['learnpress_featured_image_on_the_header'] == true ) {
			if( $feature_image_url != '' ) {
			echo '.noise-break { background: url('.esc_url($feature_image_url).');
			
					'.((isset($theme_options['learnpress_featured_image_bg_adjustment']['background-repeat']) && $theme_options['learnpress_featured_image_bg_adjustment']['background-repeat'] !='')?'background-repeat:'.esc_attr($theme_options['learnpress_featured_image_bg_adjustment']['background-repeat']).';':'').' 
					'.((isset($theme_options['learnpress_featured_image_bg_adjustment']['background-size']) && $theme_options['learnpress_featured_image_bg_adjustment']['background-size'] !='')?'background-size:'.esc_attr($theme_options['learnpress_featured_image_bg_adjustment']['background-size']).';':'').' 
					'.((isset($theme_options['learnpress_featured_image_bg_adjustment']['background-position']) && $theme_options['learnpress_featured_image_bg_adjustment']['background-position'] !='')?'background-position:'.esc_attr($theme_options['learnpress_featured_image_bg_adjustment']['background-position']).';':'').' 
					'.((isset($theme_options['learnpress_featured_image_bg_adjustment']['background-attachment']) && $theme_options['learnpress_featured_image_bg_adjustment']['background-attachment'] !='')?'background-attachment:'.esc_attr($theme_options['learnpress_featured_image_bg_adjustment']['background-attachment']).';':'').' 
			
			 }';
			}
		} else {
				$bkground = $bg_color = '';
				if( isset($theme_options['learnpress_background_nofeaturedimage']['background-image']) && $theme_options['learnpress_background_nofeaturedimage']['background-image'] != '' ) {
					if( isset($theme_options['learnpress_background_nofeaturedimage']['background-color']) && $theme_options['learnpress_background_nofeaturedimage']['background-color'] != '' ) {
						$bg_color = $theme_options['learnpress_background_nofeaturedimage']['background-color'];
					}
					$bkground = 'background: '.esc_attr($bg_color).' url('.esc_url($theme_options['learnpress_background_nofeaturedimage']['background-image']).');';
				} else {
					if( isset($theme_options['learnpress_background_nofeaturedimage']['background-color']) && $theme_options['learnpress_background_nofeaturedimage']['background-color'] != '' ) {
						$bkground = 'background: '.esc_attr($theme_options['learnpress_background_nofeaturedimage']['background-color']).';';
					}
				} 
				echo '.noise-break { '.$bkground.'
				'.((isset($theme_options['learnpress_background_nofeaturedimage']['background-repeat']) && $theme_options['learnpress_background_nofeaturedimage']['background-repeat'] !='')?'background-repeat:'.esc_attr($theme_options['learnpress_background_nofeaturedimage']['background-repeat']).';':'').' 
				'.((isset($theme_options['learnpress_background_nofeaturedimage']['background-size']) && $theme_options['learnpress_background_nofeaturedimage']['background-size'] !='')?'background-size:'.esc_attr($theme_options['learnpress_background_nofeaturedimage']['background-size']).';':'').' 
				'.((isset($theme_options['learnpress_background_nofeaturedimage']['background-position']) && $theme_options['learnpress_background_nofeaturedimage']['background-position'] !='')?'background-position:'.esc_attr($theme_options['learnpress_background_nofeaturedimage']['background-position']).';':'').' 
				'.((isset($theme_options['learnpress_background_nofeaturedimage']['background-attachment']) && $theme_options['learnpress_background_nofeaturedimage']['background-attachment'] !='')?'background-attachment:'.esc_attr($theme_options['learnpress_background_nofeaturedimage']['background-attachment']).';':'').' 
				}';
			}
			
		// ----- Text Align ------
		if( isset($theme_options['learnpress-singlepg-text-align']) && $theme_options['learnpress-singlepg-text-align'] != '' ) {
			echo '.header_control_text_align { text-align:'.esc_attr($theme_options['learnpress-singlepg-text-align']).'; }';
		}		
	
		
	}
}
?>