<?php
/****************************************************************
**************** META PAGE/{INCLUDE} CUSTOM POST  ***************
****************************************************************/
if (!function_exists('manual__pagetitlebar_meta_fields')) {
	function manual__pagetitlebar_meta_fields($id){
		if( (isset($id) && $id != '' && !is_search()) ) {
			global $post, $theme_options;
			$menu_style = '';
			
			// Page global
			echo '@media(max-width: 991px){ body.page-id-'.esc_attr($id).' nav.navbar { border-bottom: none!important; } }';
			
			$menu_style = get_post_meta( $id, '__manual_page_header_menu_style', true );
			$menu_modify_status = get_post_meta( $id, '__manual_page_header_menu_status', true );
			$menu_bg_color = get_post_meta( $id, '__manual_page_header_background_colorbg', true );
			$menu_menu_text_color = get_post_meta( $id, '__manual_page_header_first_level_menu_text_color', true );
			$menu_menu_text_active_color = get_post_meta( $id, '__manual_page_header_first_level_menu_text_active_color', true );
			$menu_flip_logo = get_post_meta( $id, '__manual_page_header_flip_logo', true );
			$menu_header_shadow = get_post_meta( $id, '__manual_page_header_shadow', true );
			$menu_border_btm = get_post_meta( $id, '__manual_page_header_menu_border_btm', true );
			$menu_border_top = get_post_meta( $id, '__manual_page_header_menu_border_top', true );
			$page_title_bar_status = get_post_meta( $id, '__manual_page_title_bar', true );
			$page_title_bar_padding = get_post_meta( $id, '__manual_page_title_bar_padding', true );
			$page_title_bar_responsive_padding = get_post_meta( $id, '__manual_page_title_bar_responsive_padding', true );
			$page_title_bar_h1_typography = get_post_meta( $id, '__manual_page_title_bar_title_typography', true );
			$page_title_bar_h1_resp_typography = get_post_meta( $id, '__manual_page_title_bar_title_typography_resp_h1', true );
			$page_title_bar_subtitle_typography = get_post_meta( $id, '__manual_page_title_bar_subtitle_typography', true );
			$page_title_bar_text_align = get_post_meta( $id, '__manual_page_title_bar_text_align', true );
			$page_title_bar_search_title_color = get_post_meta( $id, '__manual_page_title_bar_searchbox_treanding_search_color', true );
			$page_title_bar_search_link_color = get_post_meta( $id, '__manual_page_title_bar_searchbox_treanding_search_link_color', true );
			$page_title_bar_breadcrumb_regular_color = get_post_meta( $id, '__manual_page_title_bar_breadcrumb_regular_text_color', true );
			$page_title_bar_breadcrumb_link_color = get_post_meta( $id, '__manual_page_title_bar_breadcrumb_link_color', true );
			$page_title_bar_breadcrumb_link_sep_color = get_post_meta( $id, '__manual_page_title_bar_breadcrumb_link_seprator_color', true );
			$page_title_bar_background = get_post_meta( $id, '__manual__pagetitlebar_background', true );
			$page_title_bar_background_img_overlay = get_post_meta( $id, '__manual__pagetitlebar_image_overlay', true );
			
			// 1. menu style
			if( $menu_style == 3 || $menu_style == '' ) {
				if( $theme_options['theme-nav-type'] == 2 ) $menu_style = 2;
				else $menu_style = 1;
			}
			
			if( $menu_style == 1 ) {
				echo '@media(min-width: 991px){ .navbar { position: inherit; } .jumbotron_new .inner-margin-top { padding-top: 0px; } }';
			} else if( $menu_style == 2 ) {
				echo '@media(min-width: 991px){ .navbar { position: absolute; width: 100%!important; } .jumbotron_new .inner-margin-top { padding-top: 92px; } }';
			}
			
			// 2. Header menu - modify
			if( isset($menu_modify_status) && $menu_modify_status == true ) {
				// 2.1 - background
				if( isset($menu_bg_color['rgba']) && $menu_bg_color['rgba'] != '' ) { 
					echo 'nav.navbar{ background:'.esc_attr($menu_bg_color['rgba']).'; }';
				}
				// 2.2 - menu link color
				if( isset($menu_menu_text_color['regular']) && $menu_menu_text_color['regular'] != '' ) {
					echo '.navbar-inverse .navbar-nav>li>a { color:'.esc_attr($menu_menu_text_color['regular']).' } .navbar-inverse .navbar-nav>li>a:hover { color:'.esc_attr($menu_menu_text_color['hover']).' } .hamburger-menu span { background:'.esc_attr($menu_menu_text_color['regular']).' } .hamburger-menu.menu-open span:nth-child(1), .hamburger-menu.menu-open span:nth-child(4), .hamburger-menu.menu-open span:nth-child(2), .hamburger-menu.menu-open span:nth-child(3) { background:'.esc_attr($menu_menu_text_color['hover']).'; }';
				}
				// 2.3 - menu active color
				if( isset($menu_menu_text_active_color['regular']) && $menu_menu_text_active_color['regular'] != '' ) {
					echo '.navbar.navbar-inverse .navbar-nav>.active>a, .navbar.navbar-inverse .navbar-nav>.active>a:focus, .navbar.navbar-inverse .navbar-nav>.active>a:hover {
    color:'.esc_attr($menu_menu_text_active_color['regular']).'!important; }';
				}
				// 2.4. Flip logo
				if( isset($menu_flip_logo) && $menu_flip_logo == true ) { 
					echo '@media(min-width: 991px){ .navbar-inverse img.inner-page-white-logo { display:block; } .navbar-inverse img.home-logo-show { display:none; } }';
				}
				// 2.5. Header shadow
				if( isset($menu_header_shadow) && $menu_header_shadow == false ) { 
					echo 'nav.navbar { box-shadow: none; }';
				}
				// 2.6. Header border btm
				if( isset($menu_border_btm['border-bottom']) && $menu_border_btm['border-bottom'] != '' ) {
					echo 'nav.navbar { border-bottom: '.esc_attr($menu_border_btm['border-bottom']).' '.esc_attr($menu_border_btm['border-style']).' '.esc_attr($menu_border_btm['border-color']).'; }';
				}
				// 2.7. Header border top
				if( isset($menu_border_top['border-top']) && $menu_border_top['border-top'] != '' ) {
					echo 'nav.navbar .navbar-collapse.collapse { border-top: '.esc_attr($menu_border_top['border-top']).' '.esc_attr($menu_border_top['border-style']).' '.esc_attr($menu_border_top['border-color']).'; }';
				}
			}
			
			// 3. Page title bar
			// Disable title 
			if( isset($page_title_bar_status) && $page_title_bar_status == false ) { 
				if( (isset($theme_options['theme-nav-type']) && $theme_options['theme-nav-type'] == 2) || (isset($menu_style) && $menu_style == 2) ) {
					echo '@media(min-width: 991px){ .navbar { position: inherit; } .jumbotron_new .inner-margin-top { padding-top: 0px; } }';			
				}
			} else if( isset($page_title_bar_status) && $page_title_bar_status == true ) {
				// 3.1. Re-adjust padding
				if( isset($page_title_bar_padding) && $page_title_bar_padding != '' ) {
					echo '@media (min-width: 992px) { .header_custom_height .header_custom_height_new { padding: '.esc_attr($page_title_bar_padding).'; } }';
				}
				// 3.2. Re-adjust responsive padding
				if( isset($page_title_bar_responsive_padding) && $page_title_bar_responsive_padding != '' ) {
					echo '@media (max-width: 991px) {  .header_custom_height .header_custom_height_new { padding:'.esc_attr($page_title_bar_responsive_padding).'; } }';
				}
				//3.3. Title Customization
				$h1_customh1head_bkup = '';
				if( isset($page_title_bar_h1_typography['font-backup']) && $page_title_bar_h1_typography['font-backup'] != '' ) {
					$h1_customh1head_bkup = ','.$page_title_bar_h1_typography['font-backup'];
				}
				
				echo '.noise-break h1.custom_h1_head {
				'.((isset($page_title_bar_h1_typography['font-family']) && ($page_title_bar_h1_typography['font-family']) != '')?'font-family:'.esc_attr($page_title_bar_h1_typography['font-family']).' '.($h1_customh1head_bkup).';':'').'
				'.((isset($page_title_bar_h1_typography['font-weight']) && ($page_title_bar_h1_typography['font-weight']) != '')?'font-weight:'.esc_attr($page_title_bar_h1_typography['font-weight']).';':'').'
				'.((isset($page_title_bar_h1_typography['text-transform']) && ($page_title_bar_h1_typography['text-transform']) != '')?'text-transform:'.esc_attr($page_title_bar_h1_typography['text-transform']).';':'').'
				'.((isset($page_title_bar_h1_typography['font-size']) && ($page_title_bar_h1_typography['font-size']) != '')?'font-size:'.esc_attr($page_title_bar_h1_typography['font-size']).';':'').'
				'.((isset($page_title_bar_h1_typography['line-height']) && ($page_title_bar_h1_typography['line-height']) != '')?'line-height:'.esc_attr($page_title_bar_h1_typography['line-height']).';':'').'
				'.((isset($page_title_bar_h1_typography['word-spacing']) && ($page_title_bar_h1_typography['word-spacing']) != '')?'word-spacing:'.esc_attr($page_title_bar_h1_typography['word-spacing']).';':'').'
				'.((isset($page_title_bar_h1_typography['letter-spacing']) && ($page_title_bar_h1_typography['letter-spacing']) != '')?'letter-spacing:'.esc_attr($page_title_bar_h1_typography['letter-spacing']).';':'').'
				'.((isset($page_title_bar_h1_typography['margin-top']) && ($page_title_bar_h1_typography['margin-top']) != '')?'margin-top:'.esc_attr($page_title_bar_h1_typography['margin-top']).';':'').'
				'.((isset($page_title_bar_h1_typography['margin-bottom']) && ($page_title_bar_h1_typography['margin-bottom']) != '')?'margin-bottom:'.esc_attr($page_title_bar_h1_typography['margin-bottom']).';':'').'
				'.((isset($page_title_bar_h1_typography['color']) && ($page_title_bar_h1_typography['color']) != '')?'color:'.esc_attr($page_title_bar_h1_typography['color']).';':'').'
				}';
				// 3.4 Title Responsive Typography
				echo '@media (max-width: 767px) { .noise-break h1.custom_h1_head { 
				'.((isset($page_title_bar_h1_resp_typography['font-size']) && ($page_title_bar_h1_resp_typography['font-size']) != '')?'font-size:'.esc_attr($page_title_bar_h1_resp_typography['font-size']).'!important;':'').'
				'.((isset($page_title_bar_h1_resp_typography['line-height']) && ($page_title_bar_h1_resp_typography['line-height']) != '')?'line-height:'.esc_attr($page_title_bar_h1_resp_typography['line-height']).'!important;':'').'
				'.((isset($page_title_bar_h1_resp_typography['word-spacing']) && ($page_title_bar_h1_resp_typography['word-spacing']) != '')?'word-spacing:'.esc_attr($page_title_bar_h1_resp_typography['word-spacing']).'!important;':'').'
				'.((isset($page_title_bar_h1_resp_typography['letter-spacing']) && ($page_title_bar_h1_resp_typography['letter-spacing']) != '')?'letter-spacing:'.esc_attr($page_title_bar_h1_resp_typography['letter-spacing']).'!important;':'').'
				} }';
				//3.5 Sub-title Typography
				$pagetitlebar_subtitle_bkup = '';
				if( isset($page_title_bar_subtitle_typography['font-backup']) && $page_title_bar_subtitle_typography['font-backup'] != '' ) {
					$pagetitlebar_subtitle_bkup = ','.$page_title_bar_subtitle_typography['font-backup'];
				}
				echo '.noise-break p.inner-header-color{ 
				'.((isset($page_title_bar_subtitle_typography['font-family']) && ($page_title_bar_subtitle_typography['font-family']) != '')?'font-family:'.esc_attr($page_title_bar_subtitle_typography['font-family']).' '.($pagetitlebar_subtitle_bkup).';':'').'
				'.((isset($page_title_bar_subtitle_typography['font-weight']) && ($page_title_bar_subtitle_typography['font-weight']) != '')?'font-weight:'.esc_attr($page_title_bar_subtitle_typography['font-weight']).';':'').'
				'.((isset($page_title_bar_subtitle_typography['text-transform']) && ($page_title_bar_subtitle_typography['text-transform']) != '')?'text-transform:'.esc_attr($page_title_bar_subtitle_typography['text-transform']).';':'').'
				'.((isset($page_title_bar_subtitle_typography['font-size']) && ($page_title_bar_subtitle_typography['font-size']) != '')?'font-size:'.esc_attr($page_title_bar_subtitle_typography['font-size']).';':'').'
				'.((isset($page_title_bar_subtitle_typography['line-height']) && ($page_title_bar_subtitle_typography['line-height']) != '')?'line-height:'.esc_attr($page_title_bar_subtitle_typography['line-height']).';':'').'
				'.((isset($page_title_bar_subtitle_typography['word-spacing']) && ($page_title_bar_subtitle_typography['word-spacing']) != '')?'word-spacing:'.esc_attr($page_title_bar_subtitle_typography['word-spacing']).';':'').'
				'.((isset($page_title_bar_subtitle_typography['letter-spacing']) && ($page_title_bar_subtitle_typography['letter-spacing']) != '')?'letter-spacing:'.esc_attr($page_title_bar_subtitle_typography['letter-spacing']).';':'').'
				'.((isset($page_title_bar_subtitle_typography['margin-top']) && ($page_title_bar_subtitle_typography['margin-top']) != '')?'margin-top:'.esc_attr($page_title_bar_subtitle_typography['margin-top']).';':'').'
				'.((isset($page_title_bar_subtitle_typography['margin-bottom']) && ($page_title_bar_subtitle_typography['margin-bottom']) != '')?'margin-bottom:'.esc_attr($page_title_bar_subtitle_typography['margin-bottom']).';':'').'
				'.((isset($page_title_bar_subtitle_typography['color']) && ($page_title_bar_subtitle_typography['color']) != '')?'color:'.esc_attr($page_title_bar_subtitle_typography['color']).';':'').'
				}';
				// 3.6 text align
				if( isset($page_title_bar_text_align) && $page_title_bar_text_align !='' ) {
					if( $page_title_bar_text_align != 'inherit' ) {
						echo '.header_control_text_align { text-align:'.esc_attr($page_title_bar_text_align).'; }';
					}
				}
				// 3.7 search box - title text color
				if( isset($page_title_bar_search_title_color) && $page_title_bar_search_title_color != '' ) {
					echo '.noise-break .trending-search span.popular-keyword-title { color:'.esc_attr($page_title_bar_search_title_color).'; }';
				}
				if( isset($page_title_bar_search_link_color['regular']) && $page_title_bar_search_link_color['regular'] != '' ) {
					echo '.noise-break .trending-search a { color:'.esc_attr($page_title_bar_search_link_color['regular']).'; } .noise-break .trending-search a:hover { color:'.esc_attr($page_title_bar_search_link_color['hover']).'; }';
				}
				//3.8 Breadcrumb
				if( isset($page_title_bar_breadcrumb_regular_color['rgba']) && $page_title_bar_breadcrumb_regular_color['rgba'] !='' ) {
					echo '.noise-break #breadcrumbs { color:'.esc_attr($page_title_bar_breadcrumb_regular_color['rgba']).' }';
				}
				if( isset($page_title_bar_breadcrumb_link_color['regular']) && $page_title_bar_breadcrumb_link_color['regular'] != '' ) {
					echo '.noise-break #breadcrumbs a { color:'.esc_attr($page_title_bar_breadcrumb_link_color['regular']).'; } .noise-break #breadcrumbs a:hover { color:'.esc_attr($page_title_bar_breadcrumb_link_color['hover']).'; }';
				}
				if( isset($page_title_bar_breadcrumb_link_sep_color['rgba']) && $page_title_bar_breadcrumb_link_sep_color['rgba'] != '' ) {
					echo '.noise-break #breadcrumbs span {  color:'.esc_attr($page_title_bar_breadcrumb_link_sep_color['rgba']).'  }';
				}
				// 3.9 Background
				$background_type = $bg_color = '';
				if( isset($page_title_bar_background['background-image']) && $page_title_bar_background['background-image'] != '' ) {
					if( isset($page_title_bar_background['background-color']) && $page_title_bar_background['background-color'] != '' ) {
						$bg_color = ''.$page_title_bar_background['background-color'].'';
					}
					$background_type = 'background: '.esc_attr($bg_color).' url('.esc_url($page_title_bar_background['background-image']).');';
				} else if( (isset($page_title_bar_background['background-color']) && $page_title_bar_background['background-color'] != '') && $page_title_bar_background['background-image'] == '' ) {
					$background_type = 'background: '.esc_attr($page_title_bar_background['background-color']).';';
				}
				echo '.noise-break { '.$background_type.'  
				'.((isset($page_title_bar_background['background-position']) && ($page_title_bar_background['background-position']) != '')?'background-position:'.esc_attr($page_title_bar_background['background-position']).'!important;':'').'
				'.((isset($page_title_bar_background['background-size']) && ($page_title_bar_background['background-size']) != '')?'background-size:'.esc_attr($page_title_bar_background['background-size']).'!important;':'').'
				'.((isset($page_title_bar_background['background-repeat']) && ($page_title_bar_background['background-repeat']) != '')?'background-repeat:'.esc_attr($page_title_bar_background['background-repeat']).'!important;':'').'
				'.((isset($page_title_bar_background['background-attachment']) && ($page_title_bar_background['background-attachment']) != '')?'background-attachment:'.esc_attr($page_title_bar_background['background-attachment']).'!important;':'').'
				}';
				// 3.10 Bg overlay
				if( isset($page_title_bar_background_img_overlay['rgba']) && $page_title_bar_background_img_overlay['rgba'] != '' ) {
					echo '.noise-break .page_opacity.header_custom_height_new { background:'.esc_attr($page_title_bar_background_img_overlay['rgba']).'; }';
				}
			}
		
		}
		
	}
}
?>