<?php
if (!function_exists('manual__pagetitlebar_type_post')) {
	function manual__pagetitlebar_type_post(){
		global $post, $theme_options;
		
			echo '@media(max-width: 991px){ .navbar.single-blog-post-pg { border-bottom: none!important; } }';
			
			// Disable title 
			if( isset($theme_options['blog_single_pagetitlebar_controls']) && $theme_options['blog_single_pagetitlebar_controls'] == false ) { 
				if( isset($theme_options['theme-nav-type']) && $theme_options['theme-nav-type'] == 2 ) {
				echo '@media(min-width: 991px){ .navbar-inverse.single-blog-post-pg { position: inherit; } .jumbotron_new.single-blog-post-pg .inner-margin-top { padding-top: 0px; } }';			}
			}
			
			// 1. Header menu
			if( isset($theme_options['blog_single_pg_header_menu']) && $theme_options['blog_single_pg_header_menu'] == true ) { 
				// 1. Header shadow
				if( isset($theme_options['blog_single_pg_header_shadow']) && $theme_options['blog_single_pg_header_shadow'] == false ) { 
					echo '.navbar.single-blog-post-pg { box-shadow: none; }';
				}
				// 2. Flip logo
				if( isset($theme_options['blog_single_pg_header_flip_logo']) && $theme_options['blog_single_pg_header_flip_logo'] == true ) { 
					echo '@media(min-width: 991px){ .navbar-inverse.single-blog-post-pg img.inner-page-white-logo { display:block; } .navbar-inverse.single-blog-post-pg img.home-logo-show { display:none; } }';
				}
			}
			
			// 2. Re-adjust header height
			if( isset($theme_options['blog-header-height']) && $theme_options['blog-header-height'] != '' ) {
				echo '@media (min-width: 992px) { .single-blog-post-pg .header_custom_height_new { padding: '.esc_attr($theme_options['blog-header-height']).'; } }';
			}
			if( isset($theme_options['blog-responsive-header-height']) && $theme_options['blog-responsive-header-height'] != '' ) {
				echo '@media (max-width: 991px) {  .single-blog-post-pg .header_custom_height_new { padding:'.esc_attr($theme_options['blog-responsive-header-height']).'; } }';
			}
			
			// 3. Typography - spacing
			if( !empty($theme_options['blog-header-typography-spacing']) ) {
				echo '@media (min-width: 992px) {  .single-blog-post-pg h1.custom_h1_head {
		 '.((isset($theme_options['blog-header-typography-spacing']['padding-top']) && $theme_options['blog-header-typography-spacing']['padding-top'] != '')?'padding-top:'.esc_attr($theme_options['blog-header-typography-spacing']['padding-top']).';':'').'
		 '.((isset($theme_options['blog-header-typography-spacing']['padding-bottom']) && $theme_options['blog-header-typography-spacing']['padding-bottom'] != '')?'padding-bottom:'.esc_attr($theme_options['blog-header-typography-spacing']['padding-bottom']).';':'').'
		 '.((isset($theme_options['blog-header-typography-spacing']['padding-left']) && $theme_options['blog-header-typography-spacing']['padding-left'] != '')?'padding-left:'.esc_attr($theme_options['blog-header-typography-spacing']['padding-left']).';':'').'
		 '.((isset($theme_options['blog-header-typography-spacing']['padding-right']) && $theme_options['blog-header-typography-spacing']['padding-right'] != '')?'padding-right:'.esc_attr($theme_options['blog-header-typography-spacing']['padding-right']).';':'').'
				} }';
			}

			// 4. Responsive Typography
			$responsive_page_title_font_size = $responsive_page_title_line_height = $responsive_page_title_letter_spacing = $responsive_page_title_word_spacing = '';
			if( isset($theme_options['blog_header_typography_responsive_h1']['font-size']) && $theme_options['blog_header_typography_responsive_h1']['font-size'] != '' ) { 
			$responsive_page_title_font_size = 'font-size:'.esc_attr($theme_options['blog_header_typography_responsive_h1']['font-size']).( ($theme_options['blog_header_typography_responsive_h1']['font-size'] == '28')?'px':'' ).'!important;'; 
			}
			if( isset($theme_options['blog_header_typography_responsive_h1']['line-height']) && $theme_options['blog_header_typography_responsive_h1']['line-height'] != '' ) { 
				$responsive_page_title_line_height = 'line-height:'.esc_attr($theme_options['blog_header_typography_responsive_h1']['line-height']).( ($theme_options['blog_header_typography_responsive_h1']['line-height'] == '28')?'px':'' ).'!important;'; 
			}
			if( isset($theme_options['blog_header_typography_responsive_h1']['letter-spacing']) && $theme_options['blog_header_typography_responsive_h1']['letter-spacing'] != '' ) { 
				$responsive_page_title_letter_spacing = 'letter-spacing:'.esc_attr($theme_options['blog_header_typography_responsive_h1']['letter-spacing']).( ($theme_options['blog_header_typography_responsive_h1']['letter-spacing'] == '-1')?'px':'' ).'!important;'; 
			}
			if( isset($theme_options['blog_header_typography_responsive_h1']['word-spacing']) && $theme_options['blog_header_typography_responsive_h1']['word-spacing'] != '' ) {
				$responsive_page_title_word_spacing = 'word-spacing:'.esc_attr($theme_options['blog_header_typography_responsive_h1']['word-spacing']).';'; 
			}
			echo '@media (max-width: 767px) { .single-blog-post-pg h1.custom_h1_head { '.$responsive_page_title_font_size.' '.$responsive_page_title_line_height.' '.$responsive_page_title_letter_spacing.' '.$responsive_page_title_word_spacing.' } }';
			
			
			// 5. Feature image
			$feature_image_url = get_the_post_thumbnail_url($post->ID,'large');
			if( $theme_options['blog_featured_image_on_the_header'] == true ) {
				if( $feature_image_url != '' ) {
					echo '.noise-break { background: url('.$feature_image_url.');
					'.((isset($theme_options['blog_featured_image_bg_adjustment']['background-repeat']) && $theme_options['blog_featured_image_bg_adjustment']['background-repeat'] !='')?'background-repeat:'.esc_attr($theme_options['blog_featured_image_bg_adjustment']['background-repeat']).';':'').' 
					'.((isset($theme_options['blog_featured_image_bg_adjustment']['background-size']) && $theme_options['blog_featured_image_bg_adjustment']['background-size'] !='')?'background-size:'.esc_attr($theme_options['blog_featured_image_bg_adjustment']['background-size']).';':'').' 
					'.((isset($theme_options['blog_featured_image_bg_adjustment']['background-position']) && $theme_options['blog_featured_image_bg_adjustment']['background-position'] !='')?'background-position:'.esc_attr($theme_options['blog_featured_image_bg_adjustment']['background-position']).';':'').' 
					'.((isset($theme_options['blog_featured_image_bg_adjustment']['background-attachment']) && $theme_options['blog_featured_image_bg_adjustment']['background-attachment'] !='')?'background-attachment:'.esc_attr($theme_options['blog_featured_image_bg_adjustment']['background-attachment']).';':'').' 
					}';
				}	
			} else {
				$bkground = $bg_color = '';
				if( isset($theme_options['blog_background_nofeaturedimage']['background-image']) && $theme_options['blog_background_nofeaturedimage']['background-image'] != '' ) {
					if( isset($theme_options['blog_background_nofeaturedimage']['background-color']) && $theme_options['blog_background_nofeaturedimage']['background-color'] != '' ) {
						$bg_color = $theme_options['blog_background_nofeaturedimage']['background-color'];
					}
					$bkground = 'background: '.esc_attr($bg_color).' url('.esc_url($theme_options['blog_background_nofeaturedimage']['background-image']).');';
				} else {
					if( isset($theme_options['blog_background_nofeaturedimage']['background-color']) && $theme_options['blog_background_nofeaturedimage']['background-color'] != '' ) {
						$bkground = 'background: '.esc_attr($theme_options['blog_background_nofeaturedimage']['background-color']).';';
					}
				} 
				echo '.noise-break { '.$bkground.'
				'.((isset($theme_options['blog_background_nofeaturedimage']['background-repeat']) && $theme_options['blog_background_nofeaturedimage']['background-repeat'] !='')?'background-repeat:'.esc_attr($theme_options['blog_background_nofeaturedimage']['background-repeat']).';':'').' 
				'.((isset($theme_options['blog_background_nofeaturedimage']['background-size']) && $theme_options['blog_background_nofeaturedimage']['background-size'] !='')?'background-size:'.esc_attr($theme_options['blog_background_nofeaturedimage']['background-size']).';':'').' 
				'.((isset($theme_options['blog_background_nofeaturedimage']['background-position']) && $theme_options['blog_background_nofeaturedimage']['background-position'] !='')?'background-position:'.esc_attr($theme_options['blog_background_nofeaturedimage']['background-position']).';':'').' 
				'.((isset($theme_options['blog_background_nofeaturedimage']['background-attachment']) && $theme_options['blog_background_nofeaturedimage']['background-attachment'] !='')?'background-attachment:'.esc_attr($theme_options['blog_background_nofeaturedimage']['background-attachment']).';':'').' 
				}';
			} 
			
			// ----- Responsive Page Height------
			if( isset($theme_options['blog-responsive-header-height']) && $theme_options['blog-responsive-header-height'] != '') {
				echo '@media (max-width: 991px) { .page_opacity.header_custom_height_new { padding:'.esc_attr($theme_options['blog-responsive-header-height']).'!important; } }';
			}
			// ----- FIX :: Icon Format ------
			if( $theme_options['blog_single_page_icon_format'] == true ) { 
				echo '.body-content .blog.post.format-image:before, .body-content .blog.post.format-quote:before, .body-content .blog.post.format-video:before, .body-content .blog.post.format-audio:before, .body-content .blog.post.format-standard:before { content: ""; }';
			}
			// ----- Text Align ------
			if( isset($theme_options['blog-header-text-align']) && $theme_options['blog-header-text-align'] != '' ) {
				echo '.header_control_text_align { text-align:'.esc_attr($theme_options['blog-header-text-align']).'; }';
			}
		
	}
}
?>