<?php
if (!function_exists('manual__pagetitlebar_type_search')) {
	function manual__pagetitlebar_type_search(){
		global $post, $theme_options;
		
		echo '@media(max-width: 991px){ .navbar.searchpage { border-bottom: none!important; } }';
		
		// Disable title 
		if( isset($theme_options['onoff-search-page-title-bar']) && $theme_options['onoff-search-page-title-bar'] == false ) { 
			if( isset($theme_options['theme-nav-type']) && $theme_options['theme-nav-type'] == 2 ) {
			echo '@media(min-width: 991px){ .navbar-inverse.searchpage { position: inherit; } .jumbotron_new.searchpage .inner-margin-top { padding-top: 0px; } }';			}
		}
			
		// 1. Header menu
		if( isset($theme_options['searchpage_header_menu']) && $theme_options['searchpage_header_menu'] == true ) { 
			// 1.1. Flip logo
			if( isset($theme_options['searchpage_header_flip_logo']) && $theme_options['searchpage_header_flip_logo'] == true ) { 
				echo '@media(min-width: 991px){ .navbar-inverse.searchpage img.inner-page-white-logo { display:block; } .navbar-inverse.searchpage img.home-logo-show { display:none; } }';
			}
			// 1.2. Header shadow
			if( isset($theme_options['searchpage_header_shadow']) && $theme_options['searchpage_header_shadow'] == false ) { 
				echo '.navbar.searchpage { box-shadow: none; }';
			}
		}
		
		// 2. Re-adjust header height
		if( isset($theme_options['search-header-height']) && $theme_options['search-header-height'] != '' ) {
			echo '@media (min-width: 992px) { .searchpage .header_custom_height_new { padding: '.esc_attr($theme_options['search-header-height']).'; } }';
		}
		if( isset($theme_options['search-responsive-header-height']) && $theme_options['search-responsive-header-height'] != '' ) {
			echo '@media (max-width: 991px) {  .searchpage .header_custom_height_new { padding:'.esc_attr($theme_options['search-responsive-header-height']).'; } }';
		}
			
		// ----- Text Align ------
		if( isset($theme_options['search-header-text-align']) && $theme_options['search-header-text-align'] != '' ) {
			echo '.header_control_text_align { text-align:'.esc_attr($theme_options['search-header-text-align']).'; }';
		}
		
		// 3. Background
		$bg_color = $page_background = '';
		if( isset($theme_options['searchpage-header-title-bar-background-setup']['background-image']) && $theme_options['searchpage-header-title-bar-background-setup']['background-image'] != '' ) {
			if(isset($theme_options['searchpage-header-title-bar-background-setup']['background-color']) && $theme_options['searchpage-header-title-bar-background-setup']['background-color'] != '') {
				$bg_color = $theme_options['searchpage-header-title-bar-background-setup']['background-color'];
			}
			$page_background = 'background: '.esc_attr($bg_color).' url('.esc_url($theme_options['searchpage-header-title-bar-background-setup']['background-image']).');';
		} else {
			if(isset($theme_options['searchpage-header-title-bar-background-setup']['background-color']) && $theme_options['searchpage-header-title-bar-background-setup']['background-color'] != '') {
				$page_background = 'background: '.esc_attr($theme_options['searchpage-header-title-bar-background-setup']['background-color']).';';
			}
		}
		echo '.noise-break.searchpage { '.$page_background.'  
		'.((isset($theme_options['searchpage-header-title-bar-background-setup']['background-position']) && ($theme_options['searchpage-header-title-bar-background-setup']['background-position']) != '')?'background-position:'.esc_attr($theme_options['searchpage-header-title-bar-background-setup']['background-position']).'!important;':'').'
		'.((isset($theme_options['searchpage-header-title-bar-background-setup']['background-size']) && ($theme_options['searchpage-header-title-bar-background-setup']['background-size']) != '')?'background-size:'.esc_attr($theme_options['searchpage-header-title-bar-background-setup']['background-size']).'!important;':'').'
		'.((isset($theme_options['searchpage-header-title-bar-background-setup']['background-repeat']) && ($theme_options['searchpage-header-title-bar-background-setup']['background-repeat']) != '')?'background-repeat:'.esc_attr($theme_options['searchpage-header-title-bar-background-setup']['background-repeat']).'!important;':'').'
		'.((isset($theme_options['searchpage-header-title-bar-background-setup']['background-attachment']) && ($theme_options['searchpage-header-title-bar-background-setup']['background-attachment']) != '')?'background-attachment:'.esc_attr($theme_options['searchpage-header-title-bar-background-setup']['background-attachment']).'!important;':'').'
		}';
		
	}
}
?>