<?php
if (!function_exists('manual__pagetitlebar_type_wedocs')) {
	function manual__pagetitlebar_type_wedocs(){
		global $post, $theme_options;
		
		echo '@media(max-width: 991px){ .navbar.theme-wedocs-singlepg { border-bottom: none!important; } }';
		
		// Disable title 
		if( isset($theme_options['onoff-wedocs-single-page-title-bar']) && $theme_options['onoff-wedocs-single-page-title-bar'] == false ) { 
			if( isset($theme_options['theme-nav-type']) && $theme_options['theme-nav-type'] == 2 ) {
			echo '@media(min-width: 991px){ .navbar-inverse.theme-wedocs-singlepg { position: inherit; } .jumbotron_new.theme-wedocs-singlepg .inner-margin-top { padding-top: 0px; } }';			}
		}
			
		// 1. Header menu
		if( isset($theme_options['wedocs_header_menu']) && $theme_options['wedocs_header_menu'] == true ) { 
			// 1.1. Flip logo
			if( isset($theme_options['wedocs_header_flip_logo']) && $theme_options['wedocs_header_flip_logo'] == true ) { 
				echo '@media(min-width: 991px){ .navbar-inverse.theme-wedocs-singlepg img.inner-page-white-logo { display:block; } .navbar-inverse.theme-wedocs-singlepg img.home-logo-show { display:none; } }';
			}
			// 1.2. Header shadow
			if( isset($theme_options['wedocs_header_shadow']) && $theme_options['wedocs_header_shadow'] == false ) { 
				echo '.navbar.theme-wedocs-singlepg { box-shadow: none; }';
			}
		}
		
		// 2. Re-adjust header height
		if( isset($theme_options['wedocs-header-height']) && $theme_options['wedocs-header-height'] != '' ) {
			echo '@media (min-width: 992px) { .theme-wedocs-singlepg .header_custom_height_new { padding: '.esc_attr($theme_options['wedocs-header-height']).'; } }';
		}
		if( isset($theme_options['wedocs-responsive-header-height']) && $theme_options['wedocs-responsive-header-height'] != '' ) {
			echo '@media (max-width: 991px) {  .theme-wedocs-singlepg .header_custom_height_new { padding:'.esc_attr($theme_options['wedocs-responsive-header-height']).'; } }';
		}
			
		// ----- Text Align ------
		if( isset($theme_options['wedocs-text-align']) && $theme_options['wedocs-text-align'] != '' ) {
			echo '.header_control_text_align { text-align:'.esc_attr($theme_options['wedocs-text-align']).'; }';
		}
		
		// 3. Background
		$bg_color = $page_background = '';
		if( isset($theme_options['wedocs_pagetitlebar_background_setup']['background-image']) && $theme_options['wedocs_pagetitlebar_background_setup']['background-image'] != '' ) {
			if(isset($theme_options['wedocs_pagetitlebar_background_setup']['background-color']) && $theme_options['wedocs_pagetitlebar_background_setup']['background-color'] != '') {
				$bg_color = $theme_options['wedocs_pagetitlebar_background_setup']['background-color'];
			}
			$page_background = 'background: '.esc_attr($bg_color).' url('.esc_url($theme_options['wedocs_pagetitlebar_background_setup']['background-image']).');';
		} else {
			if(isset($theme_options['wedocs_pagetitlebar_background_setup']['background-color']) && $theme_options['wedocs_pagetitlebar_background_setup']['background-color'] != '') {
				$page_background = 'background: '.esc_attr($theme_options['wedocs_pagetitlebar_background_setup']['background-color']).';';
			}
		}
		echo '.noise-break.theme-wedocs-singlepg { '.$page_background.'  
		'.((isset($theme_options['wedocs_pagetitlebar_background_setup']['background-position']) && ($theme_options['wedocs_pagetitlebar_background_setup']['background-position']) != '')?'background-position:'.esc_attr($theme_options['wedocs_pagetitlebar_background_setup']['background-position']).'!important;':'').'
		'.((isset($theme_options['wedocs_pagetitlebar_background_setup']['background-size']) && ($theme_options['wedocs_pagetitlebar_background_setup']['background-size']) != '')?'background-size:'.esc_attr($theme_options['wedocs_pagetitlebar_background_setup']['background-size']).'!important;':'').'
		'.((isset($theme_options['wedocs_pagetitlebar_background_setup']['background-repeat']) && ($theme_options['wedocs_pagetitlebar_background_setup']['background-repeat']) != '')?'background-repeat:'.esc_attr($theme_options['wedocs_pagetitlebar_background_setup']['background-repeat']).'!important;':'').'
		'.((isset($theme_options['wedocs_pagetitlebar_background_setup']['background-attachment']) && ($theme_options['wedocs_pagetitlebar_background_setup']['background-attachment']) != '')?'background-attachment:'.esc_attr($theme_options['wedocs_pagetitlebar_background_setup']['background-attachment']).'!important;':'').'
		}';		
	
		
	}
}
?>