<?php 
/*-----------------------------------------------------------------------------------*/
/*	THEME :: 1. PAGE TITLE BAR
/*-----------------------------------------------------------------------------------*/
if (!function_exists('manual_header_design_control')) {
	function manual_header_design_control($current_post_type = '', $url = '', $parallax_effect = false, $searchbox = false, $replace_title='', $replace_title_act = true, $subtitle = '', $subtitle_act = false, $breadcrumb = true, $hidetitle = false, $alternet_postID = '') {
		global $theme_options, $product, $post;
		$plx_data_src = $plx_bk_img = $auto_adjust_padding =  $plx_class = $data_position_plx = '';
		
			//LEARNPRESS - FIX
			$learnpress_archive_active = '';
			if( class_exists( 'LearnPress' ) && manual__check_is_course() && is_archive()) { $learnpress_archive_active = 1; }
			if($learnpress_archive_active == 1) {
				$learnpress_course_id = get_option('learn_press_courses_page_id');
				$page_ID = $learnpress_course_id;
			} else {
				if( isset($post->ID) ) {
					$page_ID = $post->ID;
				}
			}
		
			if($parallax_effect == true && $url != '' ) {
				if( $current_post_type == 'page' ) { 
					$page_title_bar_background = get_post_meta( $page_ID, '__manual__pagetitlebar_background', true );
					if( isset($page_title_bar_background['background-position']) && $page_title_bar_background['background-position'] != '' ) {
						$data_position_plx = $page_title_bar_background['background-position'];
					} else {
						$data_position_plx = ''; 
					}
				} else {
					$data_position_plx = ''; 
				}
				$plx_data_src = 'data-image-src="'.$url.'" data-parallax="scroll" data-position="'.$data_position_plx.'" ';
				$plx_bk_img = "background:none;";
				$plx_class = 'parallax-window';
			}
			
			//Control CLASS based on page landed - manual version 7.4.1 and above.
			$class_name = manual__gobal_landing_page_classname();
			
			echo '<div class="jumbotron_new inner-jumbotron jumbotron-inner-fix noise-break header_custom_height '.$class_name.' '.$plx_class.'" '.$plx_data_src.' style="'.$plx_bk_img.' ">
			<div class="page_opacity header_custom_height_new">
			  <div class="container inner-margin-top">
				<div class="row">
				  <div class="col-md-12 col-sm-12 header_control_text_align">';
				  
				  	// Main title
				  	if( $hidetitle == false ) {
				  	echo '<h1 class="inner-header custom_h1_head">';
					
					if($learnpress_archive_active == 1) {
						$learnpress_course_id = get_option('learn_press_courses_page_id');
						if( isset($learnpress_course_id) && $learnpress_course_id != '' ) { 
							if( $replace_title_act == true ) echo (($replace_title != '')?$replace_title:get_the_title($learnpress_course_id));
						}
					} else if( $current_post_type == 'manual_faq' ) {
						$faq_catname = get_term_by( 'slug', get_query_var( 'term' ), 'manualfaqcategory' );
						if( !empty($faq_catname) ) {
							echo esc_html($faq_catname->name);
						} else {
							$terms = get_the_terms( $page_ID , 'manualfaqcategory' ); 
							if( !empty($terms) ) echo esc_html($terms[0]->name);
						}
					} else if( $current_post_type == 'docs' ) {
						$parent = false;
						if ( $post->post_parent ) {
							$ancestors = get_post_ancestors( $post->ID );
							$root      = count( $ancestors ) - 1;
							$parent    = $ancestors[$root];
						} else {
							$parent = $post->ID;
						}
						echo get_post_field( 'post_title', $parent, 'display' );
					} else if( $current_post_type == 'manual_kb' ) { 
						if( is_post_type_archive() ) {
							the_archive_title();
						} else {
							$kb_catname = get_term_by( 'slug', get_query_var( 'term' ), 'manualknowledgebasecat' );
							if( !empty($kb_catname) ) {
								echo esc_html($kb_catname->name);
							} else {
								if ( is_tax() ) { 
									$current_term = get_term_by( 'slug', get_query_var( 'term' ), 'manual_kb_tag' );
									echo esc_html($current_term->name);
								} else if ( is_single() ) {
									if( isset( $theme_options['kb-title-on-page-title-bar'] ) && $theme_options['kb-title-on-page-title-bar'] == true ) {
										echo esc_html(get_the_title());
									} else {
										$terms = get_the_terms( $page_ID , 'manualknowledgebasecat' ); 
										if( !empty($terms) ) echo esc_html($terms[0]->name);
									}
								} else { 
									$terms = get_the_terms( $page_ID , 'manualknowledgebasecat' ); 
									if( !empty($terms) ) echo esc_html($terms[0]->name);
								}
							}
						}
					} else if( $current_post_type == 'manual_documentation' ) { 
						$doc_catname = get_term_by( 'slug', get_query_var( 'term' ), 'manualdocumentationcategory' );
						if( !empty($doc_catname) ) {
							echo esc_html($doc_catname->name);
						} else {
							$terms = get_the_terms( $page_ID , 'manualdocumentationcategory' ); 
							if( !empty($terms) ) echo esc_html($terms[0]->name);
						}
					} else if ( class_exists('bbPress') && is_bbPress() && !is_front_page() ) { // bbpress
						echo esc_html($theme_options['manual-forum-title']);
					} else if ($current_post_type == 'manual_portfolio') { 
						if ( is_single() ) {
							echo esc_html(get_the_title());
						} else {
							$portfolio_catname = get_term_by( 'slug', get_query_var( 'term' ), 'manualportfoliocategory' );
							if( !empty($portfolio_catname) ) {
								echo esc_html($portfolio_catname->name);
							} else {
								$terms = get_the_terms( $page_ID , 'manualportfoliocategory' ); 
								if( !empty($terms) ) echo esc_html($terms[0]->name);
							}
						}
					
					
					
					} else if( $current_post_type == 'page' || (is_home() && $current_post_type == 'post') || ($current_post_type == 'manual_portfolio') 
								||  function_exists("is_woocommerce") && function_exists("is_product") && is_product() && is_single() /*woo handle - 1*/ 
								||  function_exists("is_woocommerce") && (is_shop())  /*woo handle - 2*/  ) { 
						if( $replace_title_act == true ) echo (($replace_title != '')?$replace_title:get_the_title());
					} else if( function_exists("is_product_category") && (is_product_category() || is_product_tag()) /*woo handle - 3*/ ) {
						echo single_term_title();
					} else if( (is_single()) ) {
						$postID = get_option('page_for_posts');
						$pagetitle = get_post_meta( $page_ID, '_manual_page_tagline', true );
						echo esc_html($theme_options['blog_single_title_on_header'] ==  false? (($pagetitle != '')?$pagetitle:'') :get_the_title());
					} else {
						 if ( is_category() ) {
							 echo single_cat_title( '', false ); 
						 } else if ( is_tag() ) {
							echo single_cat_title( '', false ); 
						 } else if( is_archive() ) {
							if ( is_day() ) :
									printf( esc_html__( '%s', 'manual' ), get_the_date() );
								elseif ( is_month() ) :
									printf( esc_html__( '%s', 'manual' ), get_the_date( _x( 'F Y', 'monthly archives date format', 'manual' ) ) );
								elseif ( is_year() ) :
									printf( esc_html__( '%s', 'manual' ), get_the_date( _x( 'Y', 'yearly archives date format', 'manual' ) ) );
								else :
									esc_html_e( 'archives', 'manual' );
							endif;
						 } else if( is_404() ) {
							 $is_plugin_active = manual__plugin_active('ReduxFramework');
							 if( $is_plugin_active == true ){
								 if( $theme_options['onoff-404-page-hrader'] == true ){
									 echo esc_html($theme_options['home-404-main-title']);
								 }
							 }
						 } else if( is_search() ) {
						 	echo esc_html($replace_title);
						 } else {
							echo get_the_title();
						 }
					}
					
					echo '</h1>';
					}
					
					// Description
					if( $current_post_type == 'manual_kb' ) { 
						if( (is_single() || is_tag()) && ($theme_options['kb-single-pg-header-description-status'] == true)) {
							$terms = get_the_terms( $page_ID , 'manualknowledgebasecat' ); 
							$current_term = $terms[0];
							echo '<div class="header-desc">'.category_description($current_term->term_id).'</div>'; 
						} else {
							if( $theme_options['kb-cat-header-description-status'] == true ) {
								$term_slug = get_query_var( 'term' );
								$current_term = get_term_by( 'slug', $term_slug, 'manualknowledgebasecat' );
								if( !empty($current_term)) {
									echo '<div class="header-desc">'.category_description($current_term->term_id).'</div>';
								}
							}
						}
					}
					
					// subtitle
					if( (is_home() && $current_post_type == 'post') || $current_post_type == 'page' && $subtitle_act == true 
								|| function_exists("is_woocommerce") && (is_shop()) || ($current_post_type == 'manual_portfolio') || $learnpress_archive_active == 1 ) { 
						echo '<p class="inner-header-color">'.$subtitle.'</p>';
					} else if ( class_exists('bbPress') && is_bbPress() && !is_front_page() ) {
						if( !empty($theme_options['manual-forum-subtitle']) && bbp_is_forum_archive() ) { 
							echo '<p class="inner-header-color">'.$theme_options['manual-forum-subtitle'].'</p>';
						}
					} else if( is_search() ) {
						if( $subtitle == '' ) $space_quot = '';
						else $space_quot = '&quot;';
						 echo '<p class="inner-header-color">'.$subtitle.'&nbsp;<b>'.$space_quot.''.get_search_query().''.$space_quot.'</b></p>';
					} 
					 
					// Breadcurmb
					if( function_exists("is_woocommerce") && is_woocommerce() && !is_shop() ){ // woo
						if( (is_product_category() || is_product_tag() )  ) $breadcrumb = $breadcrumb;
						if( $breadcrumb == true ) {
							$woo_args = array(
									'delimiter' => '<span class="sep">/</span>',
									'wrap_before' => '<div id="breadcrumbs">',
									'wrap_after' => '</div>',
							);
							echo '<div class="inner-header-color">'.woocommerce_breadcrumb($woo_args) .'</div>'; 
						}
					} else if ( class_exists('bbPress') && is_bbPress() && !is_front_page() ) { //bbpress
						if( $theme_options['bbpress_breadcrumb_status'] == true ) {
							if( bbp_is_single_user() != true && !bbp_is_forum_archive() ) {
								$manual_breadcrumbs_args = array(
									'before'          => '',
									'after'           => '',
									'sep'             => esc_html__( '/', 'manual' ),
									'home_text'       => esc_html__( 'Home', 'manual' ),
									(($theme_options['bbpress_breadcrumb'] ==  true )?'':'include_root') => ( ($theme_options['bbpress_breadcrumb'] ==  true )? '' : false ),
								);
								echo '<div id="breadcrumbs" class="forum-breadcrumbs">'.bbp_get_breadcrumb($manual_breadcrumbs_args).'</div>'; 
							}
						}
					} else { // Normal
						if( $current_post_type == 'post' && is_single() && $theme_options['blog_single_breadcrumb_on_header'] == false ) $breadcrumb = false;
						if( !is_404() && $breadcrumb == true ) { 
							if( $current_post_type == 'docs' && is_single() ) {
								wedocs_breadcrumbs();
							} else {
								echo '<div class="inner-header-color">'.manual_breadcrumb().'</div>'; 
							}
						}
					}
					// search
					if( is_search() ) {
						if( $theme_options['search-page-header-search-bar-status'] == true ) {
							$search_class = 'col-md-10 col-sm-12 col-xs-12 col-md-offset-1';
							$searchpg_box_layout = $theme_options['search-page-searchbox-display-position'];
							if( isset($searchpg_box_layout) && $searchpg_box_layout != '' && $searchpg_box_layout != 'center' ) {
								$search_class = 'col-md-'.$searchpg_box_layout.' col-sm-12 class-pg-searchbox-fix';
							}
							echo '<div class="'.$search_class.' search-margin-top"><div class="global-search">';
							manual__standard_search_form();
							echo '</div></div>';
						}
					} else if( is_404() ) {
						if( $theme_options['onoff-404-page-hrader'] == true ){
							if( $theme_options['home-404-search-bar-status'] == false ) {
								$search_class = 'col-md-10 col-sm-12 col-xs-12 col-md-offset-1';
								$search_box_layout_404 = $theme_options['home-404-searchbox-display-position'];
								if( isset($search_box_layout_404) && $search_box_layout_404 != '' && $search_box_layout_404 != 'center' ) {
									$search_class = 'col-md-'.$search_box_layout_404.' col-sm-12 class-pg-searchbox-fix';
								}
								$is_plugin_active = manual__plugin_active('ReduxFramework');
								if( $is_plugin_active == true ){
									echo '<div class="'.$search_class.' search-margin-top"><div class="global-search">';
									manual__standard_search_form();
									echo '</div></div>';
								}
							}
						}
					} else if ( class_exists('bbPress') && is_bbPress() && !is_front_page()  ) {
						if( $theme_options['bbpress_search_status'] == true ) {
							$search_class = 'col-md-10 col-sm-12 col-xs-12 col-md-offset-1';
							$bbpress_search_box_layout = $theme_options['bbpress-searchbox-display-position'];
							if( isset($bbpress_search_box_layout) && $bbpress_search_box_layout != '' && $bbpress_search_box_layout != 'center' ) {
								$search_class = 'col-md-'.$bbpress_search_box_layout.' col-sm-12 class-pg-searchbox-fix';
							}
							echo '<div class="'.$search_class.' search-margin-top"><div class="global-search">';
							manual__standard_search_form();
							echo '</div></div>';
						}
					} else if($searchbox == true) { 
						$search_class = 'col-md-10 col-sm-12 col-xs-12 col-md-offset-1';
						if( $learnpress_archive_active == 1 && $current_post_type == 'post' ) {
							$header_search_box_display_grid = get_post_meta( $page_ID, '_manual_search_box_display_grid', true );
							if( isset($header_search_box_display_grid) && $header_search_box_display_grid != '' && $header_search_box_display_grid != 'center' ) {
								$search_class = 'col-md-'.$header_search_box_display_grid.' col-sm-12 class-pg-searchbox-fix';
							}
						} else if( is_single() && $current_post_type == 'post' ) {
							$blogsingle_shbox_display = $theme_options['blog-single-searchbox-display-position'];
							if( isset($blogsingle_shbox_display) && $blogsingle_shbox_display != '' && $blogsingle_shbox_display != 'center' ) {
								$search_class = 'col-md-'.$blogsingle_shbox_display.' col-sm-12 class-pg-searchbox-fix';
							}
						} else if( (is_home() || is_archive()) && $current_post_type == 'post' ) {
							$homepostID = get_option('page_for_posts');
							$homepg_shbox_display_grid = get_post_meta( $homepostID, '_manual_search_box_display_grid', true );
							if( isset($homepg_shbox_display_grid) && $homepg_shbox_display_grid != '' && $homepg_shbox_display_grid != 'center' ) {
								$search_class = 'col-md-'.$homepg_shbox_display_grid.' col-sm-12 class-pg-searchbox-fix';
							} 
						} else if( $current_post_type == 'page' ) { 
							$header_search_box_display_grid = get_post_meta( $page_ID, '_manual_search_box_display_grid', true );
							if( isset($header_search_box_display_grid) && $header_search_box_display_grid != '' && $header_search_box_display_grid != 'center' ) {
								$search_class = 'col-md-'.$header_search_box_display_grid.' col-sm-12 class-pg-searchbox-fix';
							} 
						} else if( function_exists("is_woocommerce") && (is_shop()) ) { 
							$header_search_box_display_grid = get_post_meta( $alternet_postID, '_manual_search_box_display_grid', true );
							if( isset($header_search_box_display_grid) && $header_search_box_display_grid != '' && $header_search_box_display_grid != 'center' ) {
								$search_class = 'col-md-'.$header_search_box_display_grid.' col-sm-12 class-pg-searchbox-fix';
							} 
						} else if($current_post_type == 'lp_course' && is_single()) {
							$learnpress_shbox_display = $theme_options['learnpress-searchbox-display-position'];
							if( isset($learnpress_shbox_display) && $learnpress_shbox_display != '' && $learnpress_shbox_display != 'center' ) {
								$search_class = 'col-md-'.$learnpress_shbox_display.' col-sm-12 class-pg-searchbox-fix';
							}
						} else if($current_post_type == 'manual_kb') {
							if( is_single() ) {
								$kbsinglepg_shbox_display = $theme_options['kbsinglepg-searchbox-display-position'];
								if( isset($kbsinglepg_shbox_display) && $kbsinglepg_shbox_display != '' && $kbsinglepg_shbox_display != 'center' ) {
									$search_class = 'col-md-'.$kbsinglepg_shbox_display.' col-sm-12 class-pg-searchbox-fix';
								}
							} else {
								$kbcat_shbox_display = $theme_options['kbcat-searchbox-display-position'];
								if( isset($kbcat_shbox_display) && $kbcat_shbox_display != '' && $kbcat_shbox_display != 'center' ) {
									$search_class = 'col-md-'.$kbcat_shbox_display.' col-sm-12 class-pg-searchbox-fix';
								} 
							}
						} else if( $current_post_type == 'manual_faq' ) {
							$faq_shbox_display = $theme_options['faq-searchbox-display-position'];
							if( isset($faq_shbox_display) && $faq_shbox_display != '' && $faq_shbox_display != 'center' ) {
								$search_class = 'col-md-'.$faq_shbox_display.' col-sm-12 class-pg-searchbox-fix';
							}
						} else if($current_post_type == 'manual_documentation') {
							$doc_shbox_display = $theme_options['documentation-searchbox-display-position'];
							if( isset($doc_shbox_display) && $doc_shbox_display != '' && $doc_shbox_display != 'center' ) {
								$search_class = 'col-md-'.$doc_shbox_display.' col-sm-12 class-pg-searchbox-fix';
							}
						} else if($current_post_type == 'docs') {
							$wedocssinglepg_shbox_display = $theme_options['wedocs-searchbox-display-position'];
							if( isset($wedocssinglepg_shbox_display) && $wedocssinglepg_shbox_display != '' && $wedocssinglepg_shbox_display != 'center' ) {
								$search_class = 'col-md-'.$wedocssinglepg_shbox_display.' col-sm-12 class-pg-searchbox-fix';
							}
						} else if(function_exists("is_woocommerce") && (is_product_category() || is_product_tag() ) ){
							$woocommercepg_shbox_display = $theme_options['woocommerce-searchbox-display-position'];
							if( isset($woocommercepg_shbox_display) && $woocommercepg_shbox_display != '' && $woocommercepg_shbox_display != 'center' ) {
								$search_class = 'col-md-'.$woocommercepg_shbox_display.' col-sm-12 class-pg-searchbox-fix';
							}
						}
						echo '<div class="'.$search_class.' search-margin-top"><div class="global-search">';
						manual__standard_search_form();
						echo '</div></div>';
					} 
					                    
			  echo '</div>
			</div>
		  </div>
		  </div>
		</div>';
		
	}
}

?>