<?php
$return           = '';
$wedocs_style_type      = $instance['wedocs_style_type'];
$wedocs_column          = $instance['wedocs_column'];
$wedocs_no_of_articles  = $instance['wedocs_no_of_articles'];
$wedocs_root_article_order  = $instance['wedocs_root_article_order'];
$wedocs_title_tag  = $instance['wedocs_title_tag'];
$wedocs_root_icon  = $instance['wedocs_root_icon'];
$wedocs_desc  = $instance['wedocs_desc'];
$wedocs_read_more_text_display  = $instance['wedocs_read_more_text_display'];
$wedocs_view_all  = $instance['wedocs_view_all'];
$article_icon_color  = $instance['article_icon_color'];
$wedocs_box_shadow  = $instance['box_shadow'];
$box_padding  = $instance['box_padding'];
$box_border_color  = $instance['box_border_color'];
$box_border_width  = $instance['box_border_width'];
$box_bg_color  = $instance['box_bg_color'];
$root_article_icon_size  = $instance['root_article_icon_size'];
$wedocs_exclude_rootid  = $instance['wedocs_exclude_rootid'];
$root_article_desc_limit  = $instance['root_article_desc_limit'];

$wedocs_postIDs = '';
if( isset( $wedocs_exclude_rootid ) && $wedocs_exclude_rootid != '' ) {
	$wedocs_postIDs = $wedocs_exclude_rootid; 
}

//Article icon color
if( isset($article_icon_color) && $article_icon_color != '' ) {
	echo '<style>.page-builder-wedocs .body-content li.cat.inner.subcat a:before { color:'.$article_icon_color.'; } </style>';
}
// Box Shadow
$box_shadow = '';
if( isset($wedocs_box_shadow) && $wedocs_box_shadow == 'yes' ){
	$box_shadow = 'box-shadow: 0 5px 20px 0 rgb(4 73 89 / 8%);';
}

$class = $col_md = '';
if( $wedocs_column == 4 ) {
	if( $wedocs_style_type == 1 ) { $class = 'masonry-grid'; }
	$col_md = 4;
} else if( $wedocs_column == 6 ) {
	if( $wedocs_style_type == 1 ) { $class = 'masonry-grid-without-sidebar'; }
	$col_md = 6;
} else if( $wedocs_column == 12 ) {
	if( $wedocs_column == 1 ) { $class = 'masonry-grid'; }
	$col_md = 12;
} else {
	if( $wedocs_column == 1 ) { $class = 'masonry-grid'; }
	$col_md = 4;
}

	$parent_wedocs = get_pages(array(
		'post_type' => 'docs',
		'parent' => 0,
		'sort_order' => $wedocs_root_article_order,
		'exclude' => $wedocs_postIDs, 
	));
	
	//print_r($parent_wedocs);
	
	if ( $parent_wedocs ) {
	
		$return .= '<div class="'.$class.' page-builder-wedocs">';
		
		// FIXROW
		if( $wedocs_style_type == 2 && ($wedocs_column == 4 || $wedocs_column == 6 || $wedocs_column == 12) ) {
			$return .= '<div class="row row-eq-height" style="margin: 0px;">'; // control every 3 loop
		}
		// EOF FIXROW
		$i = 1;
		foreach ( $parent_wedocs as $root ) {
			$return .= '<div class="col-md-'.$col_md.' col-sm-12 masonry-item body-content">';
			$return .= '<div class="knowledgebase-body" style="background:'.($box_bg_color?$box_bg_color:'#ffffff').'; border-radius: 5px; padding:'.($box_padding?$box_padding:35).'px; border: '.($box_border_width?$box_border_width:1).'px solid '.($box_border_color?$box_border_color:'#daf6fc').'; '.$box_shadow.'">';
			
			// Root Post
			$return .= '<div class="kb-title-wrap">';
			if ( has_post_thumbnail($root->ID) && $wedocs_root_icon == 'yes' ) {
				$return .= '<div class="kb-masonry-icon" style="float: none;"><h5>';			
				$return .= get_the_post_thumbnail( $root->ID, array( ($root_article_icon_size?$root_article_icon_size:50), ($root_article_icon_size?$root_article_icon_size:50)), array( 'class' => 'wedocs-logo' ));
				$return .= '</h5></div>';	
			}
			$return .= '<div class="vc-kb-masonry-tag-right" style="padding-left: 0px;">';
			
			if ( !empty($root->post_title) ) {				
				$return .= '<'.$wedocs_title_tag.'><a href="'.get_permalink( $root->ID ).'">'.wp_kses_post($root->post_title).'</a></'.$wedocs_title_tag.'>';
			}
			
			if( $wedocs_desc == 'yes' ) {
				$return .= '<p>';
				if( strlen(trim($root->post_excerpt)) != 0 ) {
					$return .= wpautop( wp_trim_words($root->post_excerpt, $root_article_desc_limit, '') );
				} else{
					$return .= wpautop( wp_trim_words($root->post_content, $root_article_desc_limit, '') );
				}
				$return .= '</p>';
			}
			
			$return .= '</div>
						<span class="separator small"></span>
						</div>';
			
			// Child Post
			$sections = get_children( array(
							'post_parent'    => $root->ID,
							'post_type'      => 'docs',
							'post_status'    => 'publish',
							'orderby'        => 'menu_order',
							'order'          => 'ASC',
							'posts_per_page' => !empty($wedocs_no_of_articles) ? $wedocs_no_of_articles : -1,
						));
			$return .= '<ul class="kbse">';			
			foreach ($sections as $section_child) {			
				$return .= '<li class="cat inner subcat"><a href="'.get_permalink($section_child->ID).'">'.wp_kses_post($section_child->post_title).'</a></li>';
			}
			$return .= '</ul>';
			
			// View all
			if( $wedocs_read_more_text_display == 'yes' ) {
			$return .=' <div style="padding:10px 0px;"> 
			            <a href="'.get_permalink( $root->ID ).'" class="custom-link hvr-icon-wobble-horizontal kblnk">'.$wedocs_view_all.'&nbsp;&nbsp;<i class="fa fa-arrow-right hvr-icon"></i></a>
						</div>';
			}
						
			
			$return .= '</div>';
			$return .= '</div>';
			
			
			// FIXROW
			if( $wedocs_style_type == 2 && $wedocs_column == 4 ) { 
				if($i % 3 == 0) $return .= '</div><div class="row row-eq-height" style="margin: 0px;">'; 
			} else if( $wedocs_style_type == 2 && $wedocs_column == 6 ) {
				if($i % 2 == 0) $return .= '</div><div class="row row-eq-height" style="margin: 0px;">'; 
			} else if( $wedocs_style_type == 2 && $wedocs_column == 12 ) {
				if($i % 1 == 0) $return .= '</div><div class="row row-eq-height" style="margin: 0px;">'; 
			}
			// EOF FIXROW
			
			$i++;
			
		}
		
		wp_reset_postdata();
		
		// FIXROW
		if( $wedocs_style_type == 2 && ($wedocs_column == 4 || $wedocs_column == 6) ) { 
			$return .= '</div>'; 
		}
		// EOF FIXROW
		
		$return .= '</div>';
	}

echo ent2ncr( $return );